Welcome

The Keysight Technologies DSR Module Soft Front Panel (SFP) software provides a useful interactive interface for controlling the M9195A and M9195B DSR modules. The main purposes of the SFP are to:

  • Allow you to verify that the module is properly installed and working in this system.
  • Help you learn the module's capabilities and behaviours through interactive use.
  • Help you learn how to program the module by showing the driver calls that are used by the SFP to perform user actions.
  • Help you verify and debug your system by interactively changing the module state.
  • Allow you to install licenses for licensed options (M9195B only)

After installing the SFP you can launch it from the Windows Start button: select All Programs > Keysight > MDsr > MDsr SFP. Or you can right-click on the relevant module node in the Keysight Connection Expert software.

This help file is a reference document for using the Soft Front Panel.

Important. The Soft Front Panel (SFP) only supports a subset of what can be defined in a pattern file or IVI. For additional information or capability, refer to the IVI Driver Help (within the SFP, click Help > Driver Help.

The M9195A/B PXI Digital Stimulus/Response Module Startup Guide provides instructions for installing the module in a PXIe chassis and installing the necessary software and drivers. The Startup Guide is available on the M9195A/B Software and Product Information CD that shipped with your module. Any updated information is available at www.keysight.com/find/M9195B.

Keysight Soft Front Panel driver version 1.0.x or later is required to programmatically control the DSR modules. The SFP driver uses the IVI driver version 1.0.x or later. Some of the features described in this help file require Version 2.0 or later. You can install the latest software from the product website: www.keysight.com/find/M9195B.

Most of the features in this SFP apply to both the M9195A and the M9195B modules. However, the M9195B module supports features such as hardware triggering and multi-module synchronization that are not supported in the M9195A module.

Many of the links used in this help file transfer to the KtMDsr Programming Guide (IVI driver help file. Both help files were installed in the same folder on your PC. To get back to this Soft Front Panel help file,click either the Back button or the Home button at the top of this help screen.

The M9195A/B Startup Guide provides detailed information to unpack and install the module in your chassis. It also provides preliminary usage information. Both the M9195A/B User Guide and M9195A/B Programming Guide provide detailed information to program and use the module including multiple application and programming examples.

See also:

Getting Started with the Soft Front Panel

Connecting to the Module

SFP Tour

Execute a Pattern on an M9195A/B Module

Related Documentation

© Keysight Technologies, Inc. 2018

Version 4.0 January 2018


Getting Started

Getting Started with the Soft Front Panel

The Soft Front Panel (SFP) interface for the M9195A/B PXI Digital Stimulus/Response module provides a simple tool to learn the many aspects of the module. You can import a STIL file(or other format) for modifying and running on the module and then export the STIL file. For detailed information on the DSR module itself, refer to the M9195A/B Startup Guide and the M9195A/B User Guide. Both manuals are available on the M9195A/B Module Software and Product Information CD The most current set of documentation is available on the web at: www.keysight.com/find/M9195B.

Click anywhere on the following graphic for more information.

The STIL Components View pane of the SFP has four primary tabs: Operation, Instrument, Channels, and Triggers. Both the Operation tab and the Instrument tab have several sub-tabs. For detailed information on the primary tabs, click on one of the following:

Operation Tab : Provides basic operation features of the Soft Front Panel with help for the Signals, Sites, DCLevels, WaveformTables, PatternExec, and Pattern tabs, as well as the tabs on the Active Sites Pane.

Instrument Tab: Provides basic control features of the M9195A/B DSR module with help for the Identify, Reference Clock, Memory, Automatic Corrections, Module Temperature, and Auxiliary Output tabs.

Channels Tab: Provides configuration information for all channels for all M9195A/B DSR modules in either single or multi-module systems.

TriggersTab: Allows you to generate a software event trigger on one of the 16 software trigger lines. With SFP version 2.0 and later, you can also configure hardware triggers.

Using the Soft Front Panel

To use the Soft Front Panel to load a pattern file (such as a STIL file), modify it, and run it on an M9195A/B DSR module, do the following:

  1. Connect the Soft Front Panel (SFP) to the M9195A/B DSR module on which you will run the test. See Connecting to the Module.

  2. Load a Pattern File into the SFP. This can be a STIL file (recommended), an OpenXML file or a bulk data file. For more information on loading different types of pattern files, see Load a File.

  3. Use the M9195A/B Soft Front Panel to modify the file if necessary. For example, you can add sites, change the reference clock, configure selected channels, check for errors, and more. For more information, refer to the Operation Tab, Instrument Tab, Channels Tab, and the TriggersTab.

  4. From the Operation Tab, under any of the Active Sites tabs, you must Activate the Site (click the Activate button). For additional information on Activated Sites, see Active Sites or the Operation Tab.

  5. Once Activated, click the Initiate button or generate a Trigger to initiate the run. For additional information on Activated Sites, see Active Sites or the Operation Tab.

Multiple modules of the same type

If you have multiple M9195A/B DSR modules in one chassis (for example, if you have three M9195A's in the chassis), you may assign alias names to the modules in Keysight Connection Expert. These alias names will appear in the SFP interface. Otherwise, you will need to carefully observe the PXI identifier in Keysight's Connection Expert and match it to the identifier in the Connect to Instrument dialog.

You can use the Soft Front Panel Instrument tab Identify dialog to flash the module's status LED to identify the specific module you have addressed.

See also

  • SFP Tour
  • Related Documentation
  • Simulation Mode

© Keysight Technologies, Inc. 2018

Version 4.0 January 2018


SFP Tour

Soft Front Panel Tour

Keysight's M9195A/B PXI DSR Module Soft Front Panel (SFP) has the following features:

Basic format

The following picture shows the basic format of the M9195A/B Soft Front Panel software. Click anywhere on the picture for more information.

Menu items

For information regarding the menu selections in the soft front panel, click on one of the links below:

  • File Menu
  • View Menu
  • Utilities Menu
  • Tools Menu
  • Help Menu

Module Operation and Control Tabs

  • Operation Tab (includes tabs for: Signals, Site, DCLevels, WaveformTables, PatternExec, and Pattern). The Operation tab provides a detailed view and control of the primary DSR functions.

  • Instrument Tab (includes tabs: for Identify, Reference Clock, Memory, Automatic Corrections, Module Temperature, and Auxiliary Output). The Instrument tab sets parameters that impact the entire instrument and are not specific to a particular channel or site.

  • Channels Tab. The channels tab displays and controls settings that are made independently for each channel.

  • Triggers Tab. Triggers, or Generate Software Events, is useful to trigger various operations. With SFP version 2.0 and later, you can also configure hardware triggers.

Additionally, the Operation and Instrument tabs have several tabs within their dialogs.

Status bar

The status bar on the bottom of the main windows shows the following information.

  • Connection status (lower left corner) – shows the address of the module that the soft front panel is connected to, or ‘Simulation Mode’ when in simulation mode. Clicking on the status brings up the ‘File | Connect…’ dialog.
or
  • The center section shows status during long operations such as running the self test or loading a large file.

  • Error status (lower right corner) – shows either ‘Error’ or ‘No Error’ to indicate errors.

Clicking on the error status brings up the Utility > Errors dialog.


Menu Bar

The top Menu Bar contains functions offering additional utility to the Digital Stimulus/Response application.

Provisions are included for loading STIL and spreadsheet files, reading errors, running Self Test, resetting the module and other utilities.

These possibilities are discussed in the next few sections.

For additional information, click on one of the links below:

  • File Menu
  • View Menu
  • Utilities Menu
  • Tools Menu
  • Help Menu


File Menu

The File menu contains the following options:

  • Connect... - is used to connect an instrument or module's soft front panel to physical hardware in a chassis or to simulate such a connection. See Connecting to Instruments and Modules.

  • Save Connection... - Allows you to specify and save the current instrument/module connection and a brief description of the connection to the IVI Configuration Store. This saved connection can be reloaded into the SFP by using the File > Connect... > Saved Instruments (in the Select Instrument:drop down menu). Also, you can use the IVI API to reload a saved connection.

  • Delete Saved Connection...- Allows you to delete an instrument/module connection that you previously saved.

  • Load Pattern File... - opens a dialog allowing you to browse for a STIL, Bulk Data, or Open XML (spreadsheet) file and load it into the soft front panel instance. For more information, see Loading a File. Note that this dialog provides a GUI for the IVI API PatternFile Load function.

Note that you can also load a file form the Operation Tab, but it is only in this dialog that you can specify an optional namesapce.

  • Load Bulk Data File... - This process loads the bulk data file and generates a pattern with the specified file name. You can also specify either a separate Signal Expression file and a Waveform Table file or both. For more information, see Loading a File and Bulk Data File Format.

    Note that this dialog provides a GUI for the IVI API PatternFile.LoadBulkData method.

    The optional Pattern Name is for the generated Pattern block. If left empty, the Pattern block name is the basename of the filename.

    The optional HeaderOverride describes the content of the data file. If the header line does not exist in the data file, you must provide the header line that specifies the necessary information.

    The optional WaveformTable name specifies the Waveform table to apply to the pattern. If left empty, the waveform table name must be specified in the file.

    Checking the Create a new Waveform Table checkbox allows you to (optionally) create a simple Waveform Table for the signals in the loaded bulk data file.

  • Load Bulk Data File Deferred... - A bulk data file may have its load operation deferred until the pattern is compiled and written to memory. This allows much larger patterns to be loaded. For more information, see Loading a File and Bulk Data File Format.

Note that this dialog provides a GUI for the IVI API PatternFile.LoadBulkDataDeferred method.

The optional Pattern Name is for the generated Pattern block. If left empty, the Pattern block name is the basename of the filename.

The optional HeaderOverride describes the content of the data file. If the header line does not exist in the data file, you must provide the header line that specifies the necessary information.

The optional WaveformTable name specifies the Waveform table to apply to the pattern. If left empty, the waveform table name must be specified in the file.

The Maximum Vector Count is required so that the necessary memory can be allocated for the pattern.

  • Store STIL File... - Opens a Windows browser screen allowing you to navigate to a folder where you want to store (save) the current test setup as a STIL file.

  • Exit - Disconnects the current soft front panel connection and closes the soft front panel session.

See also:

  • Load a File

  • Pattern File Formats
  • STIL File Information
  • Bulk Data File Format.

  • OpenXML Pattern File Format


View Menu

The View menu contains the following options:

  • Preferences... - allows you to select a font size in the SFP display. You can select one of three sizes (Small, Normal, or Large). Default is Normal.

  • Refresh - If a Pattern is running, the status of the Pattern is updated approximately every 1/2 second. This View > Refresh control can be used to manually refresh the instrument status. View the overall instrument status on the Status tab.

    In addition to overall status, the Refresh control synchronizes the soft front panel with the current hardware/driver settings.


Utilities Menu

The Utilities menu contains the following options:

  • Reset - This executes the IVI driver Reset. It places the instrument in the Initialized state. This is the same state the instrument is put in by Initialize, with the exception that the PatternCache is not cleared.

  • Errors... - is used to display reported errors while running the SFP; errors not created while running the SFP are not displayed. If the error is an OpenXML parsing error, the contents of the syntax error queue is displayed.
    • To view the error log
      1. Select Utilities > Errors.

    If errors occur, the bottom-right corner of the soft front panel displays the word "Error". Selecting the word "Error" acts as a shortcut and opens the Errors dialog window.

    • To clear the error log, select Clear History. This clears the errors and refreshes the Errors dialog window.

  • Self Test... - is used to run an instrument or module Self Test.

    For more information on the M9195A/B Self Test, click here: Self Test.

  • Firmware Downgrade... - is used to manually downgrade the firmware in the M9195A/B to a previous version.

When you start the SFP, or when you run INIT from an IVI program, the module checks to ensure that the Driver version is compatible with the Firmware version installed in the module. If the Driver version is newer than the Firmware version, the module will prompt you to update the Firmware. To learn more, click here: Firmware Downgrade. Also, see: Firmware Update
  • Calibration Options... - displays the Calibration Information and Preferences dialog window. From this window, you can modify the calibration schedule which allows you to manage and set calibration intervals and warnings.

Refer to Setting Calibration Options for detailed information.

  • Hardware Options Upgrade... - is used to add options or upgrade the options on the hardware being used in the current Keysight M9195B DSR module configuration. The M9195A cannot be upgraded.

To learn more, see Hardware Options Upgrade

  • Hardware Service Wizard... - is used when repairing a defective module in your system. This option is for service use only. If you have a problem with your module and suspect a hardware failure, please refer to a Keysight service center. For technical and sales support, visit www.keysight.com/find/assist.

To learn more, see Hardware Service Wizard


Tools Menu

The Tools menu contains the following options:

  • Driver Call Log... - is used to view a list of driver calls that have been performed by the SFP.

  • To view the Driver Call Log:
    1. Select Tools > Driver Call Log.... All driver calls are displayed in the Driver Call Log window.
    2. Use the scroll bar to move the call log up and down.

  • To clear the driver call log
    1. Select the Clear History button. This clears the Call Log and refreshes the Call Log window.
  • To save a copy of the Driver Call Log to a file
    1. Select the Save As... button and a file system browser will open that allows to you navigate to a folder and save the Driver Call Log.
    2. Navigate to a folder, specify a file name, and select Save.
  • To learn more about the IVI commands associated with the driver calls listed in the Driver Call Log:
    1. From the SFP display, select Help > Driver Help. This opens the KtMDsr Programming Guide for the DSR module.
    2. In the Contents pane, open KtMDsr IVI-COM Driver.
    3. Locate and expand IVI-Com Reference.
    4. Locate and expand Driver Hierarchy then IKtMDSR.

  • Edge Placement Resolution Optimizer... - The Edge Placement Resolution Optimizer (“EPR Optimizer”) allows you to optimize your selection of the EPR for your application (see Edge Placement Resolution for detailed information on the EPR). By entering your target values for the WaveformTable Period, the placement of the signal edges, the StimulusDelay (if used) and the ResponseDelayCompensation (if used), the EPR Optimizer will calculate how closely the DSR can generate signals that have the specified timing. You can select between two methods of EPR calculation to see which method provides the most accurate signal timing. A third method is provided where you can specify the EPR directly and then view how your specified EPR affects the signal timing accuracy.

Regardless of which method you use, the first step is to populate the Target Values table in the EPR Optimizer. You can populate the table using any of these techniques:

  • Using the Get Values from Instrument button – Select Get Values from Instrument to populate the Target Values table with the current settings from the DSR module. These settings could have been set, for example, from a previously-loaded STIL file.
  • Using the Load Edge Placement File button – Select Load Edge Placement File and then select a file that contains the edge placement values. This presumes that the selected file has been previously saved using the “Save Edge Placement” button.
  • Using the Type and Target columns – Enter values directly into the Target Values table using the Type and Target columns in the table.

After populating the table, use the radio buttons listed below to select the method to determine the EPR. After selecting the method, click the button below the radio buttons to perform the EPR and error calculations that are described on the button.

  • Calculate Auto resolution – This method will cause the EPR Optimizer to select one of three EPR values, either 1 ns, 10 ns, or 100 ns, depending on your table values. For each Target value in the table, the Actual value is displayed based on the selected EPR. The Actual value represents the signal timing that will be produced by the DSR module. In addition, the Relative and Absolute Errors between the Target value and the Actual value are displayed. This method demonstrates how the DSR will operate if Edge Placement Resolution Auto is selected.
  • Calculate to minimize – This method will cause the EPR Optimizer to calculate the EPR to either minimize the total Relative (percent) Error (if this pulldown is selected) or minimize the total Absolute Error (if this pulldown is selected). For each Target value in the table, the Actual value is displayed based on the calculated EPR. The Actual value represents the signal timing that will be produced by the DSR module. In addition, the Relative and Absolute Errors between the Target value and the Actual value are displayed. The total error being minimized with this method is the summation of the errors in the selected column, either the Relative Error or the Absolute Error column.
  • Use this resolution -- This method will allow you to directly enter the EPR value from 1 ns to 100 ns. For each Target value in the table, the Actual value is displayed based on the entered EPR. The Actual value represents the signal timing that will be produced by the DSR module. In addition, the Relative and Absolute Errors between the Target value and the Actual value are displayed.

For all methods, the Edge Placement Resolution data display box will display the EPR, either the calculated EPR for the first two methods or the EPR that you entered for the third method.

Use of the Calculate to minimize method to calculate the EPR is recommended, this method will generally produce the most accurate signal timing.


Help Menu

The Help menu contains the following options:

  • Contents... - displays the online help for this Soft Front Panel.

  • Driver Help... - displays an online help related to IVI-C/IVI-COM commands for the Keysight M9195A/B Digital Stimulus/Response module.

  • Online Support... - opens a browser web page to Keysight Technologies support.

  • About... - displays a dialog box with the DSR module serial number, current software driver version, the instrument model, and module's firmware version.

The graphic above shows two modules in the system (note the two serial numbers). It also shows the licensed options for each module; for example MMS for Multiple Module systems, SR2 for maximum clock rate, and M12 for 125 MVectors/ch (maximum memory). etc. See Managing Licenses for a list of licensable options.

Although the About screen lists the options licensed for each module, in a multi-module system, the System Options line lists the options available for the system. For example, if module 1 is licensed for option MO6 (16 MVectors/ch) and module 2 is licensed for option MO1 (16 MVectors/ch), then the complete system is only MO1.


Operation Tab

The Operation dialog provides a detailed view and control of the primary DSR functions. This includes functions associated with executing digital patterns, using the PPMU, using static sites and capture sites. Each of these operations requires defining STIL components. STIL components are defined by loading a pattern file (the fields will be empty until you load a waveform pattern file such as a STIL file).

Important. The Soft Front Panel (SFP) only supports a subset of what can be defined in a pattern file or IVI. For example, it does not allow you to select arbitrary channels and ordinals, which may be done from a pattern file or from IVI driver. For additional information or capability, refer to the IVI Driver Help (within the SFP, click Help > Driver Help).

The Operation tab has two panes -- the STIL Components View pane and the Active Sites pane.

The following graphic shows the Operation tab after a small STIL file (named scenario1.stil) has been loaded. Note that the Signals tab and others are now populated.

Closed Click here to view the scenario.stil file itself:

STIL 1.0;
Header {
  Title "scenario1.stil"
  Date "12/15/2014 at 12:13:27";
  Source "Keysight M9195A Version v2014.0.2";
  History {
    Ann {* *}
    Ann {* User Name : Bill *}
    Ann {* Input Database : stilout.wdb *}
    Ann {* Project Path : C:\TSSI_Software\BasicSTILExample\ *}
    Ann {* *}
    }
  }
Signals {
  D0 InOut;
  D1 InOut;
  D2 InOut;
  D3 InOut;
  }
SignalGroups {
  BidirSignals = 'D0 + D1 + D2 + D3';
  PatPins = 'D0 + D1 + D2 + D3';
  }
Site {
  Channels {
    D0 0 0;
    D1 2 2;
    D2 1 1;
    D3 3 3;
    }
  }
DCLevels {
  D0 { VIH '1.8V'; VIL '0V'; VOH '1.4V'; VOL '0.4V'; }
  D1 { VIH '1.8V'; VIL '0V'; VOH '1.4V'; VOL '0.4V'; }
  D2 { VIH '1.8V'; VIL '0V'; VOH '1.4V'; VOL '0.4V'; }
  D3 { VIH '1.8V'; VIL '0V'; VOH '1.4V'; VOL '0.4V'; }
  }
Timing Timing1 {
  WaveformTable MyWFT {
    Period '100ns';
    Waveforms {
      D0 { 0T { '0ns' D/U; '50ns' D; }
      1 { '0ns' U; } }
      D1 { 01 { '0ns' D/U; }
      LH { '50ns' L/H; } }
      D2 { 01 { '0ns' D/U; } }
      D3 { 01 { '0ns' D/U; } }
      }
    }
  }
PatternBurst scenario1_burst {
  PatList { MyPattern; }
  }
PatternExec {
  Timing Timing1;
  PatternBurst scenario1_burst;
  }
Pattern MyPattern {
  // D D D D
  // 0 1 2 3
  W MyWFT;
  Ann {* Loop 0 *}
  V { PatPins = 0 0 0 1; } // r1 0ns 0
  V { PatPins = T 1 0 0; } // r2 100ns 1
  V { PatPins = T 1 1 0; } // r3 200ns 2
  V { PatPins = T 0 1 0; } // r4 300ns 3
  V { PatPins = T 0 0 0; } // r5 400ns 4
  V { PatPins = T 1 0 0; } // r6 500ns 5
  V { PatPins = T 1 1 0; } // r7 600ns 6
  V { PatPins = T 0 1 0; } // r8 700ns 7
  V { PatPins = 0 0 0 0; } // r9 800ns 8
  }

Click here for a general description of a STIL file.

Loading a Pattern File

To load a pattern file (either STIL, Bulk Data, or OpenXML), click the Load Pattern File... button. This opens a browser screen. Navigate to the file you want to import, select it, then click the Open button. Click here for detailed information on Loading a Pattern File.

If the STIL file that was loaded has an error, and you have corrected the error in the STIL file (with your favorite editor), you can use the Reload Last File button to load the file again, without having to navigate to the file from the Load button. Reload Last File does a 'RemoveAllDynamicComponents' before loading the file again.

Clicking the Remove All Dynamic Items button calls the IVI API Instrument.RemoveAllDynamicItems, which does an InactivateAndDisable on all active sites, and clears all Stil Components.

STIL Components View Pane

The six tabs in the STIL Components View pane shows the currently defined STIL Components. These may have come from a pattern file or may have come from using the Add buttons on the active site pane. Generally, these tab displays are easier to read and understand, especially if the STIL file is quite large. The values in these tabs cannot be edited in these fields, they must be edited in the STIL file.

For more information on STIL components, refer to STIL Components in the KtMDsr Programming Guide.

Go to Top

Signals tab

The Signals tab displays the Signals and SignalGroups block information including the Direction (In, Out, InOUT, etc) and the Signal Groups in the Pattern File.

For additional information about Signals and Signal Groups, refer to SignalGroups Overview in the KtMDsr Programming Guide.

Closed For Signals block definitions, click here.

The Signals tab contains the following columns:

Name | Description
Signal | Name of the signal or the signal group. Follows STIL syntax. This column may include a range or signal reference expression. For example, Data[0..15] defines 16 signals: Data[0], Data[1],..., Data[15]. When the Signal column contains a (valid) signal reference expression, then the signal name is taken to be a signal group and is defined with that expression. For example, ("Signal1+Signal2").
Direction | If this column contains a signal direction (In|Out|InOut), then the Signal is defined with this direction. The direction is always DUT-centric. For example, "Out" means an output from the DUT, which is an input to the DSR.

Go to Top

Site tab

The Site Tab has three sub-tabs. The Site Channels sub-tab displays the Site name and the signals, M9195A/B channel numbers, and the ordinals associated with those channels.
Select the Site Triggers sub-tab to display any triggers associated with that Site.
Select the Site Markers sub-tab to display any markers associated with that site.

In the STIL example loaded into the Soft Front Panel, there was no Site defined. Therefore, the default name !Default is used.

Closed
For Site block definitions, click here.

The Site tab has two sub-tabs Channels and Triggers with the following information:

Name | Description
Signal | List of signals in that Site.
Channel | List containing all of the defined channels. Element 0 corresponds to the first Signal in the list.
Ordinal | List of ordinals associated with each channel. Element 0 corresponds to the first Signal in the list. A -1 indicates that no ordinal is defined for this channel.
Trigger | Specifies one of six triggers (Trigger0 - Trigger5). Triggers may be used to initiate WatchLoops.
Source | Only Software triggers are allowed.

Go to Top

DC Levels tab

The DC Levels tab displays the DC levels block information including the logic family associated with the signals.

For additional information about DcLevels, refer to DcLevels Overview in the KtMDsr Programming Guide.

Closed For DC Levels block definitions, click here.

The DC Levels tab contains the following columns:

Name

 Description
Signal | signal reference expression that describes the signals that this DC Level defines.
Voh | The output high voltage from the DUT. This is the minimum voltage that will be treated as High as measured at the DUT output
Vol | The output low voltage from the DUT. This is the maximum voltage that will be treated as Low as measured at the DUT output
VHyst | This is the hysteresis used when measuring DUT outputs. The input value is rounded to either 0, 75mV, or 150mV .
Vih | This is the input to the DUT. This is the voltage that will be presented at the DUT input for a High.
Vil | This is the input to the DUT. This is the voltage that will be presented at the DUT input for a Low
Iol | This is the low output current for use with the active load. To turn on the active load, set values other than Not a Number (NaN) is a special code that indicates a value is "Not a Number". NaN is defined by the IEEE 754 floating-point standard and is typically used to refer to values that are unused or undefined. NaN also helps one to avoid expressions that might otherwise be divided by zero. NaN for Ioh, Iol, and Vcom that is injected into the DUT when the DUT is driving When active load is on, and the DUT voltage output exceeds Vcom, Ioh is output. If the DUT voltage is less than Vcom, Iol is input.
Ioh | This is the high output current for use with the active load. To turn on the active load, set values other than Not a Number (NaN) is a special code that indicates a value is "Not a Number". NaN is defined by the IEEE 754 floating-point standard and is typically used to refer to values that are unused or undefined. NaN also helps one to avoid expressions that might otherwise be divided by zero. NaN for Ioh, Iol, and Vcom that is injected into the DUT when the DUT is driving When active load is on, and the DUT voltage output exceeds Vcom, Ioh is output. If the DUT voltage is less than Vcom, Iol is input.
Vcom | This is the commutation voltage for use with the active load. To turn on the active load, set values other than Not a Number (NaN) is a special code that indicates a value is "Not a Number". NaN is defined by the IEEE 754 floating-point standard and is typically used to refer to values that are unused or undefined. NaN also helps one to avoid expressions that might otherwise be divided by zero. NaN for Ioh, Iol, and Vcom that is injected into the DUT when the DUT is driving When active load is on, and the DUT voltage output exceeds Vcom, Ioh is output. If the DUT voltage is less than Vcom, Iol is input.
Vit | This is the termination voltage used with the 50Ω termination. To turn on this mode, set the Vit value and leave the active load settings of Ioh, Iol, and Vcom blank (or put in 'Not a Number (NaN) is a special code that indicates a value is "Not a Number". NaN is defined by the IEEE 754 floating-point standard and is typically used to refer to values that are unused or undefined. NaN also helps one to avoid expressions that might otherwise be divided by zero. NaN' for not a number).
Vhh | Vhh is the high voltage output used in the high voltage output mode on the high voltage channels (HV20-HV23)

Go to Top

WaveformTables tab

This tab displays the Waveform Timing block information. If more than one Waveform Table is part of the STIL file, select the drop-down table list to select the Waveform Table you want to view.

For additional information about Waveform Tables, refer to WaveformTables Overview in the KtMDsr Programming Guide.

Waveform Period is the period of the waveforms in this WaveformTable. That is, the total time of each waveform.

Closed For WaveformTables definitions, click here.

The WaveformTable display contains the following columns:

Signal | The entries in this column are the signal names. This can be signal reference expressions or simple signal names.
Character The waveform character for which the transitions are being defined.

As with STIL, multiple characters can be defined on the same line. To do so, each character is separated with a slash (/). Then the actions corresponding to each character are separated with a slash.
Up to 3 columns labeled Time | The nth time column is the time at which to apply the action specified in the nth action column.
Up to 3 columns labeled Event | Events associated with each time. Maximum of 2 force events and 1 compare event may be specified. The Event columns specify an event character as follows:
Typical Event Characters (these are user defined and other characters may be used) | Type of Event | Event
U or "1" | Force | Force the DUT input to a 1
D or "0" | Force | Force the DUT output to a 0
Z | Force | Stop forcing, and do not drive the DUT input
P | Force | Continue Force from previous cycle
L | Compare | Compare the DUT output with a low
H | Compare | Compare the DUT output with a high
T | Compare | Verify the DUT output is three-state, that is, neither high nor low
X | Compare | Do not compare, doesn't matter what the signal is
Q | A group of signals can all be defined to have the same waveforms.

Go to Top

PatternExec tab

The PatternExec tab displays the names of the various STIL elements used in the PatternExec block of the file. It provides the complete definition of the pattern independent of the physical channels and triggers pins. Thus, the PatternExec is a complete pattern definition that can be executed on any physical set of pins.

The PatternExec contains a single PatternBurst (which is contains all of the Pattern blocks and macro definitions), and associates it with a DcLevel block that defines the amplitude settings.

Closed For PatternExec block definitions, click here.

The PatternExec tab contains the following columns:

Name | Description
PatternExec | Name of the PatternExec to compile.
DCLevel | DcLevels to be used by the PatternExec.
PatternBurst | PatternBust to be used by the PatternExec.

Go to Top

Pattern tab

The Pattern tab shows the Pattern block information in the file.

Closed For Pattern block definitions, click here.

The Pattern tab contains the following columns:

Name | Description
Index | The pattern index is returned with the comparison response data, so including it in the pattern makes it easier to identify the pattern line that was responsible for a given response.
Label | The Label is a string identifying the index. Null is not defined.
Element | Specifies the line type for the Pattern index (V for vector, Loop, Macro, etc.)
Statement

This column shows the actual content of the Index. The Pattern blocks contain the actual ones and zeroes that are produced and expected by the DSR. The pattern is defined in terms of vectors that specify the values for all signals, and a reference to a waveform table.

Go to Top

Active Sites Pane

A Site is a group of one or more channels or pins and the association of those channels with various operations and optionally other resources such as trigger paths. Note that all of these tabs allow you to Activate the site; a site must be "activated" before the M9195A/B can perform measurement operations. For more information, see Active Sites.

In general, the fields at the top of the tabs show the parameters for the IVI Activate call. For example, in the Pattern Sites Tab, the four fields -- Site, PatternExec, EdgePlacementResolutionAuto and EdgePlacementResolution -- correspond to the parameters in the IVI driver PatternSites Activate method.

Pattern Sites tab

This tab allows you to Activate and control a Pattern Site. The Add buttons are to help define STIL components that are required for Activating, but missing from the Pattern File. You can add a new Site or a PatternExec block to the Pattern file, adjust the edge placement resolution, set conditional loops, etc. The top portion of this tab corresponds to the parameters in the IVI driver PatternSites Activate method in the IVI driver.

For additional information about Pattern Sites, refer to PatternSites Overview in the KtMDsr Programming Guide.

The Pattern Site Control Settings drop down (or expander) fields (i.e. Trigger Mode, What to Log, Conditional loop settings, etc.) show the IVI driver properties; that is, when a pattern is Activated, it is compiled with these properties. Refer to the Programming Guide (within the SFP, click Help > Driver Help) for details on these properties.

The SFP does not allow you to modify Patterns. However, if you have a valid pattern with loop settings, the SFP will load the pattern and is capable of running it. You can set Failure and Success modes for conditional loops.

The Pattern Cache drop down (or expander) fields allow you to download Pattern files to cache memory, compile them, Activate them, etc. Refer to the M9195A/B User Guide for information on using the cache memory.

Closed Click here for more information about the Add Site... button.

The Add Site button allows you to define a new Site using either new Signals or previously defined Signals. Channels must be contiguous, but you can choose the starting channel number. This would be used if a pattern file does not define a Pattern Site. Note, this provides a subset of capability available from a pattern file or IVI. For example, it does not allow you to select arbitrary channels and ordinals, which may be done from a pattern file or from the IVI driver.

Closed Click here for more information about the Add PatternExec... Button

Here, you can define a new PatternExec block with a Pattern Burst.You can also add or modify DC Levels for previously defined Signals. DC Levels must be set as a family; you cannot set DC Levels or Logic Family for individual Channels.

Closed Click here for more information about the Activate Button

After clicking the Activate button, the Active Sites pane enlarges to display the Activated Pattern Sites. Here, you can Initiate the Pattern Site which begins execution of the Pattern. You can abort the initiated pattern, or generate a software trigger (defined above).

Click the Initiate button to execute the Pattern on the connected M9195A/B DSR module.

Inactivate: Releases the resources associated with this site. The state of the individual channels is not changed.

Inactivate and Disable: Releases the resources associated with this site. The individual channels are disabled.

For information on EdgePlacement Resolution, see the Edge Placement Resolution Optimizer.

For information on Software Trigger Events, see Triggers Tab.

Go to Top

PPMU Sites tab

The PPMU Sites tab allows you to activate a site for PPMU operations. This tab corresponds to the parameters in the IVI driver PpmuSites Activate method in the IVI driver.

For additional information about PPMU Sites, refer to PatternSites Overview in the KtMDsr Programming Guide.

Closed Click here for more information about the Add Site... button.

The Add Site button allows you to define a new Site using either new Signals or previously defined Signals. Channels must be contiguous, but you can choose the starting channel number. This would be used if a pattern file does not define a Site. Note, this provides a subset of capability available from a pattern file or IVI. For example, it does not allow you to select arbitrary channels and ordinals, which may be done from a pattern file or from the IVI driver.

Closed Click here for more information about the Activate button.

After clicking the Activate button, the Active Sites pane enlarges to display the Activated PPMU Sites:

Single takes a single measurement of the specified type, Continuous repeatedly takes measurements of the specified types approximately once every 1/2 second.

Inactivate: Releases PPMU resources associated with this site without altering the signals on the channels.

Inactivate and Disable: Releases the resources associated with this site. The individual channels are disabled.

Go to Top

Static Sites tab

This tab allows you to active a site for Static Operation. This tab corresponds to the parameters in the IVI driver StaticSites Activate method in the IVI driver.

For additional information about Static Sites, refer to StaticSites Overview in the KtMDsr Programming Guide.

Closed Click here for more information about the Add Site... Button

The Add Site button allows you to define a new Site using either new Signals or previously defined Signals. Channels must be contiguous, but you can choose the starting channel number. This would be used if a pattern file does not define a Pattern Site. Note, this provides a subset of capability available from a pattern file or IVI. For example, it does not allow you to select arbitrary channels and ordinals, which may be done from a pattern file or from the IVI driver.

Closed Click here for more information about the Add DC Levels... Button

Allows you to add DC levels for previously defined Signals using a defined Logic Family. The Logic Family is used for all signals in the Signal list. Note, this provides a subset of capability available from a pattern file or IVI.

Closed Click here for more information about the Activate Button

After clicking the Activate button, the Active Sites pane enlarges to display the Activated Static Sites:

Inactivate: Releases StaticSite resources associated with this site without altering the signals on the channels.

Inactivate and Disable: Releases the resources associated with this site. The individual channels are disabled.

Go to Top

Capture Sites tab

This tab allows you to activate a site for capture. A Capture Site provides a convenient mechanism to capture data on the DSR without defining a pattern. This can only be used to capture data. If simultaneous stimulus is necessary, an appropriate pattern must be defined that contains both the capture and the stimulus. This tab corresponds to the parameters in the IVI driver CaptureSites Activate method in the IVI driver.

CaptureSite is only supported on single module systems.

Capture Sites can have no more than one waveform character definition for each signal. InOut signal definitions are not allowed.

For additional information about Capture Sites, refer to CaptureSites Overview in the KtMDsr Programming Guide.

The Capture Site Control Settings drop down (or expander) fields (i.e., Trigger Mode, Trigger Source and Result Count) show the IVI driver properties for Capture Sites; that is, when a pattern is Activated, it is compiled with these properties. Refer to the Programming Guide (within the SFP, click Help > Driver Help) for details on these properties.

Closed Click here for more information about the Add Sites... button.

The Add Site button allows you to define a new Site using either new Signals or previously defined Signals. Channels must be contiguous, but you can choose the starting channel number. This would be used if a pattern file does not define a Pattern Site. Note, this provides a subset of capability available from a pattern file or IVI. For example, it does not allow you to select arbitrary channels and ordinals, which may be done from a pattern file or from the IVI driver.

Closed Click here for more information about the Add DC Levels ... button.

Allows you to add DC levels for previously defined Signals using a defined Logic Family. The Logic Family is used for all signals in the Signal list. Note, this provides a subset of capability available from a pattern file or IVI.

Closed Click here for more information about the Add WaveformTables ... button.

Allows you to add a new Waveform Table that defines waveform characters for a Capture Site for all existing Signals.

Closed Click here for more information about the Activate button.

After clicking the Activate button, the Active Sites pane enlarges to display the Activated Capture Sites:

Click the Initiate button to begin execution of the Capture Site on the connected M9195A/B DSR module.

Inactivate: Releases StaticSite resources associated with this site without altering the signals on the channels.

Inactivate and Disable: Releases the resources associated with this site. The individual channels are disabled.

Go to Top

Error Messages

Errors are reported in a yellow box at the top of the screen. For example, if you attempt to Activate a Site that is invalid, the following error message appears:

This same error message appears in the Utilities > Errors... dialog.


Instrument Tab

The Instrument tab sets parameters that impact the entire instrument and are not specific to a particular channel or site. The following graphic shows a one-module system. If you have only two or more modules, your display will be slightly different. See Identify Tab below for a two-module system.

Identify Tab

The following graphic shows a two-module system. If you have only one module or more than two, your display will be slightly different. Click the Module n checkbox to cause the status LED on the M9195A/B front panel to flash. This is useful in multiple module systems to verify which module the Soft Front Panel is communicating with. To turn off the flashing LED and return it to its normal operation, uncheck the box.

Alternately, you can click the Turn All Modules Indicators On button to flash all of the modules front panel status LEDs and the Turn All Modules Indicators Off button to return the LEDs to their normal operation.

Reference Clock Tab

The Reference Clock dialog box allows you to specify either:

  • The PXI100 chassis clock (default)

  • An external 10 MHz or 100 MHz clock supplied on the M9195A/B front panel

  • A DStarA bus (10 MHz or 100 MHz ) clock supplied through the PXI chassis backplane from a timing module in the chassis System Timing Slot

Click the Configure Clock... button to specify the source and frequency of the reference clock.

Memory Tab

Available memory is licensed as an option to the M9195B module. Refer to Managing Licenses for a list of the options. Refer to the Help > About screen to determine which options are licensed on your module(s). Memory is used for pattern caching and pattern results. This dialog configures how memory is allocated between storing compiled patterns and results. Specify the pattern memory size for compiled patterns; the return value is the available memory for results.

Cache Size specifies the total memory available for patterns across all banks. This memory stores both patterns that are automatically stored in the cache when they are activated (using PatternSite.Activate) or patterns that are stored to cache using the IVI DownloadPatternToCache function.

Selecting Configure Memory... opens the following dialog:

The Clear Cache... button clears all patterns in the cache. All pattern sites must be inactivated before calling this function.

Automatic Corrections Tab

For detailed information on executing Automatic Corrections, click here: M9195A/B Execute Automatic Corrections Procedure.

The determination for whether Automatic Corrections is needed or not is based upon the module temperature the last time Automatic corrections was performed versus the current module temperature. If the difference is 5 °C or greater, then you should perform Automatic Corrections. Because this is a Boolean function in IVI, True and False are used for the Automatic Corrections Needed field. True means Yes, you should perform the Automatic Corrections; False means No, you do not need to perform the Automatic Corrections.

Averaging Mode has three possible settings:

Mode | Description
Average 64 | 64 measurements are made and averaged together on each channel. This improves noise level on the measurements.
Windows 50 Hz

Measurements are averaged over a 50 Hz power-line cycle. All channels are measured simultaneously over this period. In addition to the noise reduction provided by Average64, this also rejects line noise present on the signal lines, resulting in improved measurement quality.

This setting should be used in environments with 50 Hz line frequency that require maximum conversion resolution. The minimum measurements time is 20 ms.

This setting is the best choice for environments with 400 Hz line frequency that require maximum conversion resolution; however, the line rejection will not be as effective.
Windows 60 Hz

Measurements are averaged over a 60 Hz power-line cycle. All channels are measured simultaneously over this period. In addition to the noise reduction provided by Average64, this also rejects line noise present on the signal lines, resulting in improved measurement quality.

This setting should be used in environments with 60 Hz line frequency that require maximum conversion resolution. The minimum measurements time is 17 ms.

Automatic corrections should be executed after updating or down grading the module firmware. The Automatic Corrections Needed is not set after updating or downgrading firmware.

Module Temperature Tab

This screen displays the current working temperature of the M9195A/B modules. Single takes one temperature measurement and displays it. Continuous continuously reads and updates the temperature measurement. Results are displayed in °C.

You should run Automatic Corrections any time the current module temperature has deviated more than 5 °C from the temperature at which the current corrections were made. See Automatic Corrections above.

The following graphic shows the temperature display for a two-module system (two M9195B modules).

Auxiliary Output Tab

Auxiliary Outputs are the four Auxiliary or Open Drain relay drive lines.

  1. Start by selecting one or more of the four drive lines. Hold the CTRL key down to select multiple lines.

  2. Select Configure Selected Pins... button. Note: You must select one or more pins from the dialog prior to selecting the Configure Selected Pins... button. The following graphic shows the Auxiliary pins for two M9195B modules. Module 0, the primary module, uses Auxiliary pins 0 through 3 and secondary module 1 uses Auxiliary pins 100 through 103, etc.

  3. Verify the pin(s) and then select either Grounded or High Impedance (open drain).

  4. Click the OK button to instantiate the settings on the Open Drain Relay lines.

For more information on using the Open Drain Relay lines, click here: How to use the Open-Drain Relay Drivers


Channels Tab

The channels tab displays and controls settings that are associated with a specific channel, independent of its use for PPMU or patterns. All of the settings in the channels tab may be applied to any subset of channels. for additional information regarding Channels, refer to: Channels Overview in the KtMDsr Programming Guide.

Closed Click here for more Channel settings column definitions.
  • Clamp Voltages: Specifies the protection voltages to which inputs are clamped when they are active.

  • Clamp Voltage PPMU Enable: Specifies whether the voltage clamps (protection voltages to which inputs are clamped when they are active) are active when the DSR is in PPMU force current mode. (Note: Voltage clamps are never active when the PPMU is forcing a voltage.)

  • Stimulus Delay: Sets a channel-specific delay in the output. This delay is relative to the start trigger. Use Stimulus Delay to adjust the channels with respect to each other to ensure signals arrive simultaneously at the DUT. It can also be used to introduce a delay between the receipt of a trigger and the pattern being produced. The worst-case resolution is the EdgePlacementResolution. However, for delay times less than 1 ns, the resolution is 100 picoseconds. The minimum value of StimulusDelay is zero and the maximum value is the EdgePlacementResolution multiplied by 256.

  • Response Delay Compensation: Sets a channel-specific response delay compensation. The delay time is set to the round-trip time for a simultaneous event to begin at the DSR output, go out to the DUT, and the response to arrive back at the DSR. The response delay compensation compensates for delays external to the DSR which affect the arrival of responses back at the DSR. Thus, the specified delay time is equal to the amount of time it takes a response to arrive at the DSR module relative to when stimulus events are emitted by the DSR. Stimulus delays do not affect the response delay. That is, the response delay is the trip time for a signal from the DSR to the DUT and back. So, if a stimulus delay is programmed to align signals at the DUT, the specified response delay will still be the total time for the stimulus to affect a response and return back to the DSR.

  • Line Compensation: The Line Drive Compensation and Line Receive Compensation settings compensate for transmission line effects. The values can be set from 0 to 7. The Line Compensation settings are used to adjust the product input and output impedances to match the lines being driven. The default value of zero presents a termination as close to purely resistive as possible. Increasing the value to 7 can be used to compensate for line impedances.

  • Remote Sense Enable: Controls whether stimulus and measurements use the same physical conductors from the DSR. If remote sense is enabled, the signal is sensed via the PPMU sense lines on the DIO connector. If remote sense is disabled, the signal is sensed via the channel lines that are also used to stimulate the DUT.

Clamp Voltage PPMU Enable: Specifies whether the voltage clamps are active when the DSR is in PPMU force current mode. (Note: Voltage clamps are never active when the PPMU is forcing a voltage.)

Stimulus Delay: Specifies a channel-specific delay in the output. This delay is relative to the start trigger. Use StimulusDelay to adjust the channels with respect to each other to ensure signals arrive simultaneously at the DUT.

Response Delay Compensation: Specifies the channel-specific response delay compensation. The delay time is set to the round-trip time for a simultaneous event to begin at the DSR output, go out to the DUT, and the response to arrive back at the DSR.

Line Drive Compensation, Line Receive Compensation:The Line Compensation settings Specifies the product input and output impedances to match the lines being driven. The default value of zero presents a termination as close to purely resistive as possible. Increasing the value to 7 can be used to compensate for line impedances.

Remote Sense Enable: Specifies whether stimulus and measurements use the same physical conductors from the DSR. If remote sense is enabled, the signal is sensed via the PPMU sense lines on the DIO connector. If remote sense is disabled, the signal is sensed via the channel lines that are also used to stimulate the DUT.

To set these values, and for more detailed information about each parameter, see Configure Selected Channels below.

Configure Selected Channel(s)

Select one or more individual channels. To select multiple channels to receive the same settings, press and hold the Ctrl button then select the channels. In the following example, we've highlighted channels 0, 1, 2, and 3:

Click the Configure Selected Channels... button. This opens the following configuration dialog box:

Closed From this configuration box, you can set voltage clamps, delays, and line compensation. Click here for more information on these settings:
  • Voltage Clamps: Sets the protection voltages to which inputs are clamped when they are active. Minimum clamp voltage must be between -2 and 6.2 Volts. Maximum clamp voltage must be between -1.2 and 7 Volts. The specified clamp voltages are active in two situations:

    • When the DSR is sourcing a digital signal via the Pattern Site or the Static Site

    • When the DSR is in PPMU mode, and the PPMU is forcing a current, the clamps are enabled or disabled using the ClampVoltagePpmuEnable function

    At other times, the clamps are inactive. This includes:

    • When the pattern, capture, or static sites are sensing an input

    • When the PPMU is forcing a voltage

    • When the channels are disabled

    • When the DSR is forcing a voltage from an active pattern site or static site

  • Clamp Voltage PPMU Enable checkbox: Specifies whether the voltage clamps (protection voltages to which inputs are clamped when they are active) are active when the DSR is in PPMU force current mode. (Note: Voltage clamps are never active when the PPMU is forcing a voltage.)

  • Stimulus Delay: Sets a channel-specific delay in the output. This delay is relative to the start trigger. Use Stimulus Delay to adjust the channels with respect to each other to ensure signals arrive simultaneously at the DUT. It can also be used to introduce a delay between the receipt of a trigger and the pattern being produced. The worst-case resolution is the EdgePlacementResolution. However, for delay times less than 1 ns, the resolution is 100 picoseconds. The minimum value of StimulusDelay is zero and the maximum value is the EdgePlacementResolution multiplied by 256.

  • Response Delay Compensation: Sets a channel-specific response delay compensation. The delay time is set to the round-trip time for a simultaneous event to begin at the DSR output, go out to the DUT, and the response to arrive back at the DSR. The response delay compensation compensates for delays external to the DSR which affect the arrival of responses back at the DSR. Thus, the specified delay time is equal to the amount of time it takes a response to arrive at the DSR module relative to when stimulus events are emitted by the DSR. Stimulus delays do not affect the response delay. That is, the response delay is the trip time for a signal from the DSR to the DUT and back. So, if a stimulus delay is programmed to align signals at the DUT, the specified response delay will still be the total time for the stimulus to affect a response and return back to the DSR.

  • Remote Sense Enable Checkbox: Controls whether stimulus and measurements use the same physical conductors from the DSR. If remote sense is enabled, the signal is sensed via the PPMU sense lines on the DIO connector. If remote sense is disabled, the signal is sensed via the channel lines that are also used to stimulate the DUT.

When you select the OK button, the changes are reflected in the dialog.

Measure and Apply Response Delay Compensation

Click on the Measure and Apply Response Delay Compensation button. This measures the cable delay of an unterminated cable and stores the compensation values into Channels Response Delay Compensation.

All Sites must be deactivated before running the compensation. The Response Delay Compensation cannot run if a Site has been Activated. That is because the measurement is destructive; it will reset the DSR module.

This measurement requires that the cable be unterminated. After the delay compensation is calculated, the results are written to the Channels Response Delay Compensation.

This measurement may take several minutes to complete.

Additional delays beyond those measured for the cable can be added to the measured values in the response delay compensation. For instance, if there is an additional delay of 1.4 ns due to propagation from the end of the cable through the fixture to the actual DUT, it is appropriate to read back the value measured for the response delay compensation by this function, add 1.4 ns to it, then store it as the response delay compensation.

If one or more channels of the cable is terminated, then the cable will appear to be infinitely long. This is not treated as a measurement error, and the cable delay for that channel is set to 0.

Store Response Delays to File... and Load Response Delays from File...

Once you've configured the Response Delay compensation times, you can store them or reload them as needed. Selecting either of these buttons opens a browser window allowing you to navigate to a folder to either save or load the response delay compensations as text (.txt) files.


Triggers Tab

Triggers, or Generate Software Events, is useful to trigger various operations. Triggers can be used to start pattern execution, or to satisfy a WatchLoop condition. For additional information regarding Triggers and Markers, refer to: Overview of Triggers and Markers in the KtMDsr Programming Guide.

M9195A/B Triggers and Markers

The M9195A/B DSR supports a number of triggers and markers. Triggers are inputs to the DSR (from the DUT) and can be used to initiate the generation of a pattern or the continuation of a pattern that has already been started. Markers are outputs from the DSR (to the DUT) and can be used to trigger other devices, either other modules in the same chassis or external devices.

Most of the DSR signals associated with triggers and markers are bi-directional, i.e. they can programmed to be either a trigger input or a marker output. Because of this, care must be taken to avoid contention between signals. This can occur if two marker outputs are programmed on the same signal line, such as between the DSR and another module in the chassis.

The DSR supports two types of triggers:

  1. Software triggers – Software triggers are set programmatically, and can be used to initiate the execution of one or more PatternSites or CaptureSites. In this manner, software triggers allows these sites to be started synchronously.
  2. Hardware triggers – Hardware triggers are external inputs to the DSR and have two basic sources:
    • DSR front panel – The front panel has two signals labeled “GPIO1” and “GPIO2”, either of which can be programmed to be a trigger input.
    • Chassis backplane – The chassis backplane has 10 signals which can be programmed to be trigger inputs to the DSR.

In a manner similar to hardware triggers, the DSR supports the following sources of markers:

  1. DSR front panel – The two front panel signals labeled “GPIO1” and “GPIO1” can each be programmed to be a marker output.
  2. Chassis backplane – The DSR can be programmed to generate markers on 10 chassis backplane signals.

For additional information regarding Triggers and Markers, refer to Overview of Triggers and Markers in the KtMDsr Programming Guide.

Hardware Trigger Configuration

Version 2 of the M9195A/B Soft Front Panel added hardware triggering.

In the upper Hardware Trigger configuration field, select a trigger line. Click the Configure Selected Trigger ... button to configure the trigger line.

Generate Software Trigger

Select one or more SoftwareTrigger Events and click the Generate Software Trigger Event(s) button to instantly generate the software trigger.


How To...

  • Connect to the M9195A/B
  • Reset the M9195A/B to its Factory Settings

  • How to Perform a Self Test
  • Import a STIL (or other) file

  • Use the Open-Drain Relay Drivers
  • Use the High Voltage Drivers
  • How to Update Module Firmware
  • How to Downgrade Module Firmware


Connecting to the Module

Connecting to Instruments and Modules

The Connect to Instrument dialog allows you to select an existing configuration (an "Instrument") that will make up an instrument and connect the Soft Front Panel (SFP) to physical hardware in a chassis, or to simulate such a connection. This dialog appears when the Soft Front Panel (SFP) is first started or you can reconnect at any time by selecting the File drop down menu and Connect ....

Multiple M9195B Modules

If you have more than one M9195B modules in your system, the SFP can connect to all of them and assign channels, etc. appropriately. The following graphic shows that two modules were discovered by the SFP. These two modules are in chassis slots 5 and 6.

You can select only one module or you can select both modules. To select more than one module, the first module you select will become the primary module (Modules 0) for channel numbering and synchronization purposes. Select additional modules by pressing and holding the Ctrl key and clicking on the additional modules. The order in which you select the additional modules determines the channel numbering.

Click the Connect button when you are finished adding modules to your system. For additional information on multiple module systems, refer to Multi-Module Operation.

Connecting to the module(s)

To connect to an IVI logical instrument, module, or saved instrument

  1. From the Show drop-down menu, select Instruments and Modules, Modules, or Saved Instruments.

    A list of IVI logical instruments, modules, and Saved Instruments are displayed. The displayed list is filtered by the selection made with this Show drop-down menu.

    • Modules and Instruments - shows everything the SFP knows about

    • Modules - shows modules found through VISA discovery

    • Saved Instruments - shows known instruments (which are defined by saving a configuration into the IVI Configuration Store after the SFP is up and running). See File > Save Connection... for more information.
  2. From the displayed list, select an IVI logical instrument, a module, or Saved Instrument for connection.

    The item selected is high-lighted and displayed in the Selected Instrument entry box.

An IVI logical instrument, a module, or Saved Instrument may also be selected by typing its name directly into the Selected Instrument entry box. Multiple selections can be specified by separating each selection with commas or semicolons.

Dialog Features

Simulation Mode: When enabled, you can specify what type of hardware is being simulated. This works in conjunction with the Simulate button. For details refer to the Simulation Mode description below. If simulation mode is not checked, the selected modules/instrument must describe a valid instrument or module.

Connect/Simulate button: When this button is labeled "Connect" clicking it initiates the connection to the select instrument or module hardware. If you checked the Simulation Mode checkbox, this button is labeled "Simulate' -- clicking it will initiate a session with only the driver(s) for the selected instrument or module (not an actual hardware connection).

Advanced: Intended for Keysight support and future enhancements. Do not attempt to use the advanced field without first consulting with Keysight.

Simulation Mode

When Simulation Mode is checked and you click the Simulate button, the underlying IVI driver (which is what the SFP is using) is opened in simulation mode. In this case, the selected resources may be ignored.

An IVI driver can operate without the presence of an actual instrument by using simulation mode. When simulation is turned on, the driver performs no instrument communication, but attempts to generate results which allow client applications to reasonably execute.

Simulation is designed to allow the driver to be used without an instrument or any I/O software or hardware. However, simulation is not intended to fully emulate the instrument. There are some important differences to be aware of:

  • There often is no parameter range checking or coercion unless done in the driver. Most drivers depend on the instrument to perform range checking and coercion of parameter values. In simulation mode, this will not occur. For example setting a frequency parameter to 1E99 will be accepted without error in simulation where an instrument would return a "parameter out of range" error.

  • Measurement data is not live. Most data queries will return a fixed value or a small array of values.


Self Test

Self Test can be run at any time you want to verify the integrity of the connection to the M9195A/B DSR module and verify its overall health. The length of time required to perform self test primarily depends on the performance of the computer that runs self test. In most cases, self test should complete within 2-5 minutes.

You must inactivate any activated sites prior to running self test. Self Test resets the module and may make your module unavailable for a few minutes. Do not close the Soft Front Panel (SFP) software and do not disable the device during this period. Self Test does not execute an Automatic Corrections. Self Test leaves the M9195A/B in its power-on, reset state.

Remove all cables before running Self Test.

For systems with multiple modules, the SFP closes the driver for all modules. It then opens the driver for each module in the system, runs Self Test on each module and closes the driver. Self tests for multiple modules run in parallel

To run Self Test on an instrument or module

  1. Select Utilities > Self Test.... This opens the Self Test dialog box.

  2. Click the Run Self Test button.

  3. The SFP prompts you to remove all cables form the module. Self Test resets the module and clears its memory. Click Yes to continue the Self Test.

  4. All Self Test messages are displayed in the Self Test Results window.

  5. If the module passes its Self Test, "Self Test passed" and "Self Test Complete" are displayed.

  6. To clear the Self Test results window
    1. Close the Self Test dialog window.
    2. Re-open it by selecting Utilities > Self Test....
    3. This clears the Self Test results log and refreshes the Self Test Results window.

Selecting the Save As... button opens a Windows browser and allows you select a folder and save the results of the Self Test.


Load a Pattern File

Depending on the type of pattern file you want to load into the SFP, the SFP provides several different methods to load a file. Either scroll down or select the type of pattern file to load::

  • Load a STIL or OpenXML Pattern File (Method 1) (Method 2, with optional Namespace)

  • Load a Bulk Data File

  • Load a Bulk Data File Deferred

For additional information about Pattern File Formats, refer to PatternSites Overview in the KtMDsr Programming Guide.

Load a STIL or OpenXML Pattern File (method 1)

From the Operation tab, select the Load Pattern File... button. This opens a standard Windows browser window. Navigate to the appropriate folder, select the STIL file you want to load, then click the Open button.

For additional information about STIL File Formats, refer to STIL File Formats in the KtMDsr Programming Guide.

For additional information about OpenXML Pattern File Formats, refer to OpenXML Pattern File Formats in the KtMDsr Programming Guide.

This loads a STIL or OpenXML Pattern file into the M9195A/B SFP.

If the STIL file that was loaded has an error, and you have corrected the error in the STIL file (with your favorite editor), you can use the Reload Last File button to load the file again, without having to navigate to the file from the Load button. Reload Last File does a 'RemoveAllDynamicComponents' before loading the file again.

Clicking the Remove All Dynamic Items button erases the Pattern File currently loaded in the SFP.

Click here for information on STIL file format.

Click here for information on OpenXML file format.

Go to Top

Load a STIL or OpenXML Pattern file (method 2, with optional Namespace)

To load a STIL file, select File > Load Pattern File.... This opens the following dialog. Click the [image] button to open a standard Windows browser window. Navigate to the appropriate folder, select the file you want to load, then click the Open button.

For additional information about STIL File Formats, refer to STIL File Formats in the KtMDsr Programming Guide.

For additional information about OpenXML Pattern File Formats, refer to OpenXML Pattern File Formats in the KtMDsr Programming Guide.

This function loads a STIL or OpenXml file and creates STIL components based on the content of the file.

A Namespace may be provided and is useful when loading multiple files that may have name conflicts.

Click here for information on STIL file format.

Click here for information on OpenXML file format.

Go to Top

Load Bulk Data Pattern File

To load a bulk data file, select File > Load Bulk Data File.... This opens the following dialog. Click the [image] button to open a standard Windows browser window. Navigate to the appropriate folder, select the file you want to load, then click the Load File button.

This process loads the bulk data file, generates a pattern with the specified file name. You can also specify either a separate Header Override file and a Waveform Table file or both.

The Header Override and Waveform Table name are required. You must include them if they are not provided in the file.

Click here for information on Bulk Data file format.

Go to Top

Load Bulk Data Pattern File Deferred

A bulk data file may have its load operation deferred until the pattern is compiled and written to memory. This allows much larger patterns to be loaded.

A bulk data file may have its load operation deferred until the pattern is compiled and written to memory. This allows much larger patterns to be loaded. When LoadBulkDataDeferred is used, a STIL component for the pattern is created, but it does not contain any pattern elements because the file is not actually read until compile time. At compile time, the file is read, compiled, and written to the DSR memory a small block at a time, and again, no STIL component pattern elements are created. This is done so that the DSR can handle very large data files (up to 125 million vectors) without exceeding computer memory.

The Header Override and Waveform Table name are required. You must include them if they are not provided in the file.

Click here for information on Bulk Data file format.

Go to Top


Execute a Pattern on an M9195A/B Module

  1. Load a Pattern File. This can be a STIL file (recommended), an OpenXML file or a bulk data file. For more information on loading different types of pattern files, see Load a File.

  2. Use the M9195A/B Soft Front Panel to add additional STIL components if needed, or to modify a channel or instrument configuration. For example, you can add sites, change the reference clock, configure selected channels, Configure a software trigger, check for errors, and more. For more information, refer to the Operation Tab, Instrument Tab, Channels Tab, and the Triggers Tab.

  3. From the Operation Tab, under the appropriate Active Sites tab, click Activate button. For additional information on Activated Site, see Active Sites and Operation Tab.

  4. Once Activated, click the Initiate button or generate a Trigger to initiate the run. For additional information on Activated Site, see Active Sites and Operation Tab.


Resetting the Module

Resetting the Module(s) to Factory Default Settings

From the Utilities menu, select Reset.

In a multi-module system, all modules are reset to the factory default settings.

See Utilities Menu for more information.


Managing Licenses

The M9195A is already fully licensed. It's licenses may not be updated.

A license is required to run options to the Keysight M9195B DSR module.

What Options are Licensed in the M9195B?

All options in the M9195B are licensable, however the M01, S01, and SR1 are standard. All others must be purchased when ordering the module. The following table lists the available licenses for an M9195B module.

Option | Description
M9195B-M01 | Memory, 16 MVectors/ch
M9195B-M06 | Memory, 64 MVectors/ch
M9195B-M12 | Memory, 125 MVectors/ch
M9195B-S01 | Single Site Enabled
M9195B-S04 | Multi-site Enabled
M9195B-SR1 | Maximum clock rate, 125 MHz
M9195B-SR2 | Maximum clock rate, 250 MHz
M9195B-MMS | Multiple Module sync

Refer to the Help Menu About screen to determine your system's licensed options.

In a multi-module system, the System Options line in the Help Menu About screen lists the options available for the complete system. For example, if module 1 is MO6 (16 MVectors/ch) and module 2 is MO1 (16 MVectors/ch), then the complete system is only MO1.

How do I determine which options are licensed in my Keysight M9195B?

To determine the licensed options to your Keysight M9195B DSR module, see Help Menu > About screen.

Upgrading or Adding Licenses

Since all options are licenses, you may upgrade your module by simply purchasing a new license. For example, if your module is licensed as M01 16 MVectors/ch memory and you want to upgrade it to M06 or M12, contact your Keysight representative to purchase a new M06 or M12 license.

follow the instructions included with your license to put the change into effect.


Setting Calibration Options

The Calibration Information and Preferences dialog (Utilities > Calibration Options...) offers a display of Calibration scheduling and controls for modifying that schedule.

Your Keysight M9195A/B module comes fully calibrated from the factory. Notice that the "Subject to Periodic Cal:" checkbox and the "Instrument Cal Warnings:" checkboxes are enabled (checked) at the factory.The recommended calibration interval is 365 days for all instruments or modules that are subject to periodic calibration.

  • Cal ID:
  • Status: Set at the factory, based on latest calibration
  • Due Date: Set at the factory, based on 365 day cycle
  • Subject to Periodic Cal: Set at the factory, you can disable if not needed
  • Instrument Cal Warnings: Checked(enabled) at the factory
  • Instrument Interval: Set at the factory, based on 365 day cycle
  • Passphrase:

Cal ID

Cal Id is used for instruments consisting of multiple modules; it is not used on the M9195B module.

Passphrase:

A passphrase is used to protect various values in "Cal Due Reminder" and "Module Cal Interval" dialogs. You may change the factory preset value of passphrase. If you wish to protect these new user-created inputs from changes by others, you must set a passphrase. If a passphrase has never been set, the value is an empty string. This value is not affected by Reset of power cycle.

The values protected by Passphrase are:

  • EnablePeriodicCalChecks
  • EnableModuleCalWarnings
  • EnableInstrumentCalWarnings
  • ModuleCalInterval
  • InstrumentCalInterval
  • Passphrase

If the passphrase has been forgotten, it can be reset programmatically using the IVI Modules.Item.Nonvolatile.Clear() OldPassphrase = Modules.Item.Nonvolatile.Passphrase Modules.Item.Nonvolatile.Passphrase = NewPassphrase Modules.Item.Nonvolatile.Write( OldPassphrase ).

What to do when the Instrument Interval approaches:

Refer to the Keysight M9195A/B Startup Guide for details on preparing a module or instrument to Return to Keysight for calibration. See Related Documentation to find the M9195A/B Startup Guide. When sending an Keysight M9195A/B modue for calibration, you do not need to include instrument interconnect cables.


Firmware Update

Firmware updates are only available when the M9195A/B driver is updated. The driver is available at: www.keysight.com/find/M9195B; click on the Visit Technical Support link, then on the Drivers, Firmware, &Software tab.

If you download and install the latest M9195A/B driver software, and then you run the Soft Front Panel (SFP), it checks to see which version of firmware is installed on the module. If newer firmware versions are available, the SFP prompts you to update the firmware. Also, if you execute an IVI driver initialize command in a program, an error message is generated and the program will not run until you update the module firmware.

After updating the module’s firmware, you will need to cycle power on the PXI chassis in order for the new firmware to become active.

Click here for information on the Help menu About box to determine the module firmware version and the driver version.

How to update the module firmware

  1. Download and install the latest M9195A/B driver. The driver is available at: www.keysight.com/find/M9195B; click on the Visit Technical Support link, then on the Drivers, Firmware, &Software tab.

  2. Launch the Soft Front Panel. It is available from the Windows Start button: All Programs > Keysight > MDsr > MDsr SFP.

  3. From the Connect to Instrument dialog, select the M9195A/B DSR module and click Connect.

    4. Only one module can be selected and updated with the latest firmware at one time. If the firmware needs to be updated on multiple modules, each module needs to be sequentially selected and updated.
  4. IVI Driver software detects that a carrier firmware update is required and displays the following message:

If you click the No button, the IVI driver and SFP exits and are not usable.

  5. Click Yes to install the update the module firmware. This launches the firmware installation. Follow all on-screen prompts.

  6. Upon successful completion the IVI driver will display the following dialog:

  7. Click the Close button.

  8. Close all PC applications and power down the PC controller.

  9. Power cycle the PXI chassis.

  10. Restart the PC.

  11. Upon successful reboot of the PC, the IVI driver is usable.

See also:

Firmware Downgrade


Firmware Downgrade

  • Utilities > Firmware Downgrade is used to downgrade firmware on the Keysight M9195A/B to a previous version.

Click here for information on the Help menu About box to determine the module firmware version and the driver version.

Why would you downgrade your firmware?

As an example, if you have two or more separate systems, where one system has the current M9195A/B driver and firmware versions but the other system is running an older driver version and has a module with an older firmware version. To move the M9195A/B from the current system to the older, non-updated system, you must downgrade the firmware on the M9195A/B to match the driver version on the older system. In general, you should perform the downgrade on the system with the newest firmware and driver versions.

If you install an M9195A/B DSR module in a system where the driver version is too old you will be prompted to either update the driver or downgrade the module firmware.

Note that all previous firmware versions are stored in the M9195A/B software driver; no access to the internet is required to downgrade the firmware.

How to downgrade the firmware in a module:

The firmware downgrade process displays the current firmware version and prompts you for the version you want to downgrade to. Remember that this version must match the driver version on the system you are transferring the module to.

After downgrading the firmware, this module will not work with the DSR driver version installed on this computer. The module cannot be used with the driver unless the firmware is restored to the current version.

Here is a scenario where you would want to downgrade the firmware:

  • System A is comprised of chassis A, installed with DSR module A. The controller is running the current KtMDsr driver version. DSR module A is installed with the current firmware version. The KtMDsr driver on the system and the firmware version on the module are a compatible match. All is well.

  • System B is comprised of chassis B, installed with DSR module B. The controller is running an older version of the KtMDsr driver. DSR module B is installed with an older version of firmware. All is well here, too. Until you decide you need to move DSR module A into System B.

In order to downgrade DSR module firmware on module A, start the Soft Front panel on system A. From the Soft Front Panel, select Utilities > Firmware Downgrade.... Follow the on-screen prompts.

  1. From System A, with DSR module A still installed in this system, open the SFP.

  2. Click Utilities > Firmware Downgrade.... The firmware downgrade process displays the current firmware version and prompts you for the version you want to downgrade to. Remember that this version must match the driver version on the system you are transferring the module to.

  3. Select the firmware version to which you want to downgrade. This will be the firmware version currently on DSR module B, which matches the KtMDsr driver running on System B.

  4. Wait for the firmware to downgrade on module A. Follow the prompts.

  5. Turn off power on System B.

  6. Turn off power on System A.

  7. When the downgrade is complete on DSR module A, remove DSR module A from System A, and install it in a slot in System B. Follow the same installation instructions from your M9195A/B Startup Guide as when you initially installed the module.

  8. Start up System B, which now contains DSR modules A and B. The controller for System B is running an older version of the KtMDsr driver. The DSR modules in this system have an older version of firmware installed.

  9. For module installation instructions, follow the guidance for general installation instructions in the M9195A/B Startup Guide.

See also:

  • Firmware update

Firmware updates are only available when the M9195A/B software driver is updated. The software driver is available at: www.keysight.com/find/M9195B; click on the Visit Technical Support link, then on the Drivers, Firmware, & Software tab.


How to use the Auxiliary Output Lines

The M9195A/B provides four Auxiliary Output (or open-drain) lines that can be used for driving relays. These lines are designed for low voltage application up to 16 Vdc and are independent of any other data or HV lines on the module.

Each line offers built-in inductive feedback protection, drive for latching or non-latching relays, and open load and short circuit protection. Each open-drain line features a 10 kW pull-up resistor to +5 volts, 0.3W (typical) on-resistance, and can sink up to 1 A (maximum) of load current.

For detailed information on using the Auxiliary Output lines, refer to the M9195A/B User Guide.

Circuit diagram

The following graphic shows the basic relay drive circuitry:


How to use the High Voltage Lines

The M9195A/B provides four high voltage lines -- HV20 - HV23 -- that can be used for flash programming memory devices such as EEPROMS. It is beyond the scope of this document to describe how flash memory works or how to program it.You must understand your application and device to be programmed to use the four high voltage lines.

There is no specific place in the SFP for the HV lines. These must exist in the STIL file that you load into the SFP. They will show up under the Operation > DCLEvels display with VHH defined.

These HV lines are typically used as a programming enable voltage (sometimes called VPP) and are maintained as long as the program/verify mode is operating when programming your EEPROM. See the Timing Waveforms below.

For detailed information on using the high voltage lines, refer to the M9195A/B User Guide.

Data line dependency

The four HV lines are tied to individual data lines on the respective IO banks and cannot be used independently of those channels. These dependencies are as follows:

IO Bank / HV Line | Tied to Channel
IO Bank 0, HV20 | CH02
IO Bank 1, HV21 | CH06
IO Bank 2, HV22 | CH10
IO Bank 3, HV23 | CH14


Sales and Technical Support

To contact Keysight for sales and technical support, refer to the “support” links on the following Keysight web resources:

www.keysight.com/find/M9195B (product-specific information and support, software and documentation updates)

www.keysight.com/find/assist (worldwide contact information for repair and service)


Warranty

The material contained in this document is provided “as is,” and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.

Restricted Rights Legend

U.S. Government Restricted Rights. Software and technical data rights granted to the federal government include only those rights customarily provided to end user customers. Keysight provides this customary commercial license in Software and technical data pursuant to FAR 12.211 (Technical Data) and 12.212 (Computer Software) and, for the Department of Defense, DFARS 252.227-7015 (Technical Data - Commercial Items) and DFARS 227.7202-3 (Rights in Commercial Computer Software or Computer Software Documentation).


Related Documentation

To access documentation related to the product, use one of the following methods:

  • If you have run the product software installer on your PC, the related product documentation will have been installed to your hard drive. Click the links below to open the related document.

  • The documentation listed below is also available directly from the product CD, or for the very latest version visit the product page on the Keysight Technologies website.

  • All documentation for the module is available on the Keysight web page at www.keysight.com/find/M9195B as well as on the product CD provided with the module.

Document
Startup Guide

Includes procedures to help you to unpack, inspect, install (software and hardware), perform instrument connections, verify operability, and troubleshoot your product. Also includes an annotated block diagram.
User Guide

provides detailed operating information for the module. This includes block diagrams of the module, calibration instructions, usage and programming information.

IVI Driver reference (help system) **

Provides detailed documentation of the IVI-COM and IVI-C driver API functions, as well as information to help you get started with using the IVI drivers in your application development environment.

* If these links do not work, you can find these items at:

Start > All Programs > Keysight > Mdsr

** If this link does not work, you can find this item at:

Start > All Programs > Keysight Instrument Drivers > IVI-COM-C-Drivers > KtMDsr > KtMDsr Documentation

To find the very latest versions of the user documentation, go to the product web site and download the files from the Manuals support page:


Tip: Help Search Tricks

In the help system, a basic search of topics consists of the word or phrase that you want to find. You can, however, improve your search results by using wildcard expressions, nested expressions, Boolean operators, and searching similar word matches, previous results, and topic titles only.

Performing a basic full-text search

  1. In the navigation pane, click the Search tab and then type the word or phrase that you want to find. Use the right-arrow button to add Boolean operators to your search.
  2. Click List Topics.Your search will return the first 500 hits. If you want to sort the topic list, click Title, Location, or Rank.
  3. Highlight the topic that you want, and then click Display You can also display any topic by double-clicking it.

Refining a your search

You can refine a basic search by using wildcard expressions, nested expressions, and Boolean operators. You can also search only on the previous results list, request similar word matches, or search only the titles of topics in the table of contents.

  • To refine a search to include just the last group of topics you searched, select the Search previous results check box.
  • To match similar spellings in a full-text search, select the Match similar words check box.

When Match similar words is selected, the viewer matches minor grammatical variations of the word or phrase you entered, as well as the word or phrase itself. For example, if you entered "test" and selected this box, the Library viewer would find "test", "tests", and "testing". This option is independent of other options or syntax. If you do a titles-only search, variations in titles will be matched. If you use quotes (or any other query operator) any variation of the word can appear; for example, "installed module" will also match "installing module".

  • To search for words in document titles only, select the Search titles only check box.

Search syntax

The basic rules for formulating queries are as follows:

  • Searches are not case-sensitive, so you can type your search in uppercase or lowercase characters.
  • You can search for any combination of letters (a–z) and numbers (0–9). You cannot search for single letters (a, b, c, etc.) and the following reserved words: an, and, as, at, be, but, by, do, for, from, have, he, in, it, not, of, on, or, she, that, the, there, they, this, to, we, which, with, you.
  • Punctuation marks such as the period (.), colon (:), semicolon (;), comma (,), and hyphen (-) are ignored during a search.
  • Group the elements of your search using "double quotes" or (parentheses). You cannot search for quotation marks.

If you are searching for a filename with an extension, you should group the entire string in double quotes ("filename.ext"). Otherwise, the search will treat the period as an OR operator.

Words, phrases, and wildcards

You can search for words or phrases and use wildcard expressions. The table below describes the results of these different kinds of searches.

Search for | Example | Results
Single word | Calibrate | Topics that contain the word "calibrate." (You will also find its grammatical variations, such as "calibration" and"calibrated".)
Phrase | "saved configuration" -or- 'saved configuration' | Topics that contain the literal phrase "saved configuration" and all its grammatical variations. Without the quotation marks, the query is equivalent to specifying a saved AND configuration, which will find topics containing both of the individual words, instead of the phrase.
Wildcard expressions | Meas* | Topics that contain the terms "Meas," "measure," "measurement," and so on. The asterisk cannot be the only character in the words.
 | 89?00 | Topics that contain the terms "89500," "89600," "89700," and so on. The question mark cannot be the only character in the term.
 | *936* | Topics that contain the terms "936." "45936,""M9360A," "93600" and so on.
 | *93 | Topics that contain the terms "293," "393," "x93," "ABCD393," "8093," and so on.

Operators: AND, OR, NOT, and NEAR

The AND, OR, NOT, and NEAR operators allow you to refine your search. The following table shows how to use each of these operators.

Search for | Example | Results
Both terms in the same topic | performance AND verification -or- performance & verification | Topics containing both the words "performance" and "verification."
Either term in a topic | front OR panel -or- front | panel | Topics containing either the word "front" or the word "panel."
The first term without the second term | system NOT requirements -or_ system ! requirements | Topics containing the word "system," but not the word "requirements."
Both terms in the same topic, close together | install NEAR hardware | Topics containing the word "install" within eight words of the word "hardware."

Rules for nested expressions

The basic rules for searching topics using nested expressions are as follows:

  • You can use parentheses to nest expressions within a query. The expressions in parentheses are evaluated before the rest of the query.
  • If a query does not contain a nested expression, it is evaluated from left to right. For example, "Instrument NOT system OR calibration" finds topics containing the term "instrument" without the term "system", or topics containing the term "instrument" and not "calibration". (On the other hand, "instrument NOT (system OR calibration)" finds topics containing the term "instrument" without either of the terms "system" or "calibration".)
  • Nesting allows you to create more complex search expressions. For example, "instrument AND ((system OR calibration) NEAR performance)" finds topics containing the term "instrument" along with the terms "system" and "performance" close together, or containing "instrument" along with the terms "calibration" and "performance" close together.
  • You cannot nest expressions more than five levels deep.


Active Sites

An Active site is created by calling an Activate function and passing it a site, which is a STIL component. The site contains a list of hardware channels and optionally other resources such as trigger paths. When a site is activated, a dynamic repeated capability is created that is used to perform operations on that site. The name for the dynamic repeated capability is the site name. For instance, to make PPMU measurements, a site is defined that contains the necessary channels, then that site is activated for PPMU measurements. Once activated, conventional repeated capabilities functions and attributes can be used to perform PPMU measurements on those sites.

The SFP driver supports the following kinds of active sites:

Active Site

Description

PPMU

A site is activated for PPMU measurements in order to perform various analog measurement and analog stimulus operations. This includes selecting a forcing function such as voltage, current, or none, and selecting a simultaneous measurement function which is voltage, current, or none.

See PpmuSites for more information.

Pattern

A PatternSite has the functions and attributes necessary to control the execution of a test pattern. This includes operations that are used to run the pattern, monitor its execution, and modify the pattern in cache memory so it can be modified between runs.

To activate a pattern, both a site and a pattern specification are provided. The driver implementation must compile a pattern for a specific site, then download it to the module. Since this can be a relatively slow operation for large patterns, functions are provided in the pattern site for loading a pre-compiled pattern site, and for activating a pattern site that has been stored in cache memory on the module.

See PatternSites for more information.

Static

A StaticSite provides a way to programmatically set the logical values of the signals in a site. The site, by definition, maps the signals to physical channels. This gives the opportunity to programmatically write the values to each channel. There are two primary utilities of StaticSite:

Verifying the physical connections and software configuration of a pattern site. By using the static site methods to read and write the signals, it is possible to verify the connectivity without the overhead of creating a pattern. This permits verifying the mapping of signals to the module outputs and inputs, including the software layers and the physical wiring.

Utilizing extra bits on the module for programmed IO when there are leftover bits not being used for pattern IO or PPMU.

See StaticSite for more information.

Capture

CaptureSites provide a straightforward mechanism to capture data in the DSR. They are similar to a pattern site except that no pattern definition is required. Instead of a pattern definition, a capture site requires only the timing information for the site (in terms of a WaveformTable block), the DC Levels for the site (in terms of a DCLevel block), and the amount of time to operate the capture.

See CaptureSites for more information.

Common operations on Active Sites

An active site is programmed very similarly to a conventional dynamic repeated capability. The differences are:

  • The active site is created with an Activate call (or one of the special activate call for the pattern sites). The activate site name is then the name of the site itself; a new name is not created.

  • When the application is done with the active site and the channels are to be used for other operations, the site is Inactivated rather than Removed. When a site is Inactivated, the site definition will still exist by the same name; however, the active site will no longer exist.

  • In addition to Inactivate, active sites have a function called InactivateAndDisable. It performs an inactivate operation and also disables the signals in the site. That is, the drive is turned off and each channel is put into a high impedance state.

Changes made to the site or other STIL components that define the site at the time of activation do not affect an activated site. The settings are all consulted when the site is activated; however, once the site is activated, subsequent changes make no difference.


Bulk Data File Format

The DSR bulk data files provide a way to load pattern data into the DSR independent of the various other DSR settings that are included in STIL and OpenXML files such as waveform tables, DC Levels, and other STIL structures.

The BulkData format is a flexible format based on a text file. The content can be just the waveform characters that define the pattern, or waveform timing information and line numbers may be included.

A bulk data file may have its load operation deferred until the pattern is compiled and written to memory. This allows much larger patterns to be loaded.

Refer to the M9195A User Guide for more information and detailed examples of bulk data files.

Bulk data file syntax

The bulk data file is read using the following rules:

  • Comments are any line whose first non-blank characters are “#” or “//”. In addition, header lines or vector lines can have comments at the end of the line if the comments are preceded with “#” or “//”. Comments extend to the end of line. Blank lines are also treated as comments.

  • The first non-comment line of the file may be a header that indicates the syntax of the file. The header line is an optional line that describes the content of the file. If the header line is absent, the API must provide the header line that specifies the necessary information. It is recognized by square brackets. If the header begins with the word "Index", a numeric Index is expected on each data line. If the header has the word "WaveformTable", then a WaveformTable is parsed on each line. Finally, the header has a list of signals, indicating the order and signal name to associate with each position in the data lines.

  • Each vector line describes one vector of the pattern.

  • A hyphen (-) can be from the previous vectors, and used in place of a waveform character. This indicates that the waveform character on that signal should be repeated. In STIL this is indicated by leaving the waveform character unspecified, but it must be explicit in bulk data.

  • In general, white space on a line is ignored in bulk data files, however each line is parsed independently and the data for a single vector or the header may not span more than one line. Entirely blank lines are permitted.

Header line syntax

For the bulk data parser to reliably recognize a header line, it should be enclosed in square brackes (“[“

Header line ::= “[“ [ “Index” ] [ “WaveformTable” ] ( <Signal> ) + “]”

That is, the header line begins with a square bracket (“[“) and may then optionally include the word “Index”, and may then optionally include the work “WaveformTable”, these optional tokens are followed by a list of the signals in the pattern and then a close square bracket (“]”).

The following are all correct header line syntaxes:

Syntax | Description
[ VIO SDATA SCLK ] | This indicates that the pattern has three signals named “VIO”, “SDATA”, and “SCLK”. No explicit Index or WaveformTable is included in the pattern.
[ Index WaveformTable VIO SDATA SCLK ] | This indicates that the parser should look for an optional Index, followed by an optional WaveformTable followed by 3 waveform characters representing the 3 specified signals.
[ Index Data[0] Data[1] Data[2] Data[4] ] | This indicates that the parser should look for an optional Index, followed by 4 waveform characters representing the 4 specified signals.
[WaveformTable A,B,C,D,E,F,G,H] | This indicates that the parser should look for an optional Index, followed by an optional WaveformTable followed by 8 waveform characters representing the 8 specified signals. Notice that the list of signals may be comma separated.

Note that the header line may be specified in the API, in which case the API overrides any header line that occurs in the bulk data file. A header line provided via the API behaves exactly like a header line provided in the file.

Vector Line Syntax

The vector line syntax is dependent on the header line. That is, the presence of a numeric index and alphanumeric waveform table name is determined by the header line.

The vector line is composed of three parts:

  • Label and/or cross reference.

    Labels are specified as an alphanumeric string beginning with an alphabetic character and followed by a colon. For instance: “MyLabel3:”

    Cross references are indicated with the prefix “XREF.” Followed by the cross reference label and a colon. For instance: “XREF.MyCrossReference:”.

    If a vector has both a label and a cross reference, the label must be precede the cross reference. For instance: “MyLabel3: XREF.MyCrossReference:”

  • Optional Index and WaveformTable name

    The optional index may only be present if it is indicated in the header line. The index is an integer composed entirely of decimal numeric characters. For instance “123”.

    If no index is provided, the line is automatically assigned an index of the index of the previous vector +1.

    The optional WaveformTable name may only be present if it is indicated in the header line. The optional WaveformTable name is an alphanumeric string beginning with an alphabetic character.

  • The Vector data

    The vector data is comprised of a single character per signal, with the total number of characters being equal to the number of signals specified in the header line. The characters are assigned to signals in the order in which the signals are declared on the header line. The individual characters do not require any separator between them, however either white space or comma separators are accepted.

    A hyphen (-) can be used in place of a waveform character. This indicates that the previous waveform character on that signal should be repeated. In STIL this is indicated by leaving the waveform character unspecified, but it must be explicit in bulk data.

    For instance, each of the following is treated identically as 4 waveform characters: “HL01”,

    “H L 0 1”, “H,L,0,1”, “HL 01”

    The vector data is a single waveform characters for each signal specified in the pattern.


Caching

Activates a site for pattern operations using the specified PatternExec and with the specified EdgePlacementResolution. The pattern is compiled and downloaded to the pattern cache.

Caching vs. Compiling


Firmware Downgrade

  • Utilties > Firmware Downgrade is used to downgrade firmware on the Keysight M9195A to a previous version.

Keysight’s M9195A is comprised of two PC boards -- the larger carrier board (it also has the PCI connectors and heatsink) and the mezzinine board. Note that the mezzanine firmware is independent of the carrier firmware. It is possible to upgrade either the carrier firmware, the mezzanine firmware, or both. Firmware updates are only available when the M9195A software driver is updated. The software driver is available at: www.keysight.com/find/M9195A; click on the Visit Technical Support link, then on the Drivers, Firmware, & Software tab.

If you download the latest software, when you run the Soft Front Panel (SFP), it checks to see which versions of firmware are installed on the module. If new firmware versions are available, the SFP prompts you to upgrade the firmware.Also, if you execute an IVI INIT command in a program, an error message is generated and the program will not run until you update the module firmware.

How to determine firmware and software driver versions

Check the Help > About screen. It shows the firmware and software driver version currently running on the system.

In this example About screen, the software driver version is: 0.1.3603.0 ?????, the Carrier firmware version number is ????? and the mezzanine firmware version is ???? (??? need new screen shot).

Why would you downgrade your firmware?

As an example, if you have two or more systems, where one system has the current M9195A driver and firmware versions but the other system is running an older firmware and driver version. To move the M9195A from the updated system to the older, non-updated system, you must downgrade the firmware on the M9195A to match the driver version on the older system. In general, you should perform the downgrade on the system with the newest firmware and driver versions.

Note that all previous firmware versions are stored in the M9195A software driver; no access to the internet is required to downgrade the firmware.

To downgrade the Firmware in a Module:

  1. Select a version of firmware for the module using the drop-down arrow.
  2. Select Update to install available Firmware Updates.

????? graphic??? Get graphics from Karen/David Sheldon. I need the complete process.???

You can select and install a previous version of firmware.????


Firmware Upgrade

Keysight’s M9195A is comprised of two PC boards -- the larger carrier board (it also has the PCI connectors and heatsink) abd the mezzinine board. Note that the mezzanine firmware is independent of the carrier firmware. It is possible to upgrade either the carrier firmware, the mezzanine firmware, or both. Firmware updates are only available when the M9195A software driver is updated. The software driver is available at: www.keysight.com/find/M9195A; click on the Visit Technical Support link, then on the Drivers, Firmware, &Software tab.

If you download the latest software, when you run the Soft Front Panel (SFP), it checks to see which versions of firmware are installed on the module. If new firmware versions are available, the SFP prompts you to upgrade the firmware.Also, if you execute an IVI INIT command in a program, an error message is generated and the program will not run until you update the module firmware.

After updating the module’s firmware, you will need to cycle power on the PXI chassis in order for the new firmware to become active. For a detailed explanation of the process to upgrade or downgrade the module’s firmeware, refer to the M9195A SFP help file.

How to determine firmware and software driver versions

Check the Help > About screen. It shows the firmware and software driver version currently running on the system.

In this example About screen, the software driver version is: 0.1.3603.0 ?????, the Carrier firmware version number is ????? and the mezzanine firmware version is ???? (??? need new screen shot).

How to Upgrade the Carrier Firmware

  1. Launch the SFP.

  2. From Connect to Instrument dialog, select the MDsr module and click Connect

  3. IVI Driver software detects that a carrier firmware update required and displays the following Error dialog:

????? Need new screen capture

  4. If you click the No button, the IVI driver and SFP exits and is not usable.

  5. Click Yes to install the upgrade carrier firmware. This launches the firmware download that takes about 10 seconds.

  6. Upon successful completion the IVI driver will display the following dialog:

????? Need new screen capture

  7. Click the Close button.

  8. Close all PC applications and power down the PC controller.

  9. Power cycle the PXI chassis.

  10. Restart the PC.

  11. Upon successful reboot of the PC, the carrier core image will be loaded and the IVI driver is usable. The loading of the carrier firmware image causes the blue Status LED on the front panel of the module to illuminate.

How to Upgrade the Mezzanine Firmware

  1. Launch the SFP.

  2. From Connect to Instrument dialog, select MDsr module and click Connect.

  3. IVI Driver software detects mezzanine application firmware update required and displays the Error dialog:

???? Need new screen capture

  4. If you click the No button, the IVI driver and SFP will exit. The IVI driver will not be usable.

  5. Click Yes to install the upgrade mezzanine firmware. The software will download the Mezzanine firmware. This will take about 15 seconds.

  6. When the download is complete, the SFP will restart as normal. The IVI driver will be available and fully functional. No reboot or power cycles required.

See Also:


Installing a Module

Make sure that the chassis line cord is plugged into an establish earth ground and that the chassis power switch is in the Off (Standby) position before making any connections to the module.

PXI Express Modules | The module can be installed in any PXIe slot marked with a peripheral slot compatibility image (a solid circle containing the slot number)
PXI Hybrid Modules | The module can be installed in any hybrid PXIe slot marked with a peripheral slot compatibility image (the letter "H" and a solid circle containing the slot number)
  1. Make sure that the chassis line cord is plugged into an establish earth ground and that the chassis power switch is in the Off (Standby) position.

  2. If the chassis has multiple fan speed settings, ensure that the fan switch is set to AUTO.

  3. Position the chassis to provide ample space between the chassis fan intake and exhaust vents. Blockage by walls or obstructions affects the air flow needed for cooling. (Refer to the chassis documentation for more information about cooling).

  4. If you are using an remote PC as the system controller, install the System Interface Card in slot 1 of the chassis.

  5. Before inserting the module into the chassis, back the mounting screws out to ensure that there is no interference between the screws and the mounting rails.

  6. Holding the module by the injector/ejector handle, slide it into an available PXI (or hybrid) slot, as shown in the figure below.

    1. Install the module into the slot of the chassis by placing the module card edges into the front module guides (top and bottom).
    2. Slide the module to the rear of the chassis and ensure that the injector/ejector handle is pushed down in the unlatched (downward) position.
    3. Slide the module completely into the chassis. When you begin to feel resistance, pull up on the injector/ejector handle to fully inject the module into the chassis.

  7. Secure the front panel to the chassis using the two module front-panel mounting screws. Performance may suffer if the screws are not tightened properly.

  8. Verify that the PXI chassis fans are operable and free of dust and other contaminants that may restrict airflow.

  9. Install all filler panels after installing the module. Missing filler panels may disrupt necessary air circulation in the chassis.

  10. If you are using a PCIe Cable Interface, such as the Keysight M9021, connect the Cable Interface in the chassis to the PC host per the instructions that came with the Cable Interface.

  11. Power up the PXI chassis.

  12. Reboot the PC host.


Onboard Memory Management

Delete this text and replace it with your own content.


OpenXML Pattern File Format

The OpenXML format is a DSR-specific file format that uses STIL constructs inside a standard spreadsheet file (.xlsx). The Soft Front Panel can read a pattern definition out of a standard spreadsheet file. The file layout is defined by the ECMA 376 OpenXML standard. For the pattern definition, the arrangement of the data within the spreadsheet is defined by the DSR and closely follows the STIL format. A pattern definition can naturally be specified in terms of a series of spreadsheet tables, and this format is taken by the DSR.

Use the OpenXML format if you prefer to work with a spreadsheet program instead of the standard STIL text file format. When loading a spreadsheet file, all the syntax errors are returned at once. They can optionally be written into another sheet within the file to simplify the debugging process.

Refer to the M9195A User Guide for detailed examples of Open XML files.

General rules and patterns

The following rules are used to convert an OpenXML file into STIL Components:

  • The KtMDsr OpenXML syntax uses the sheets in the file to define STIL blocks (aka STIL Components). The kind of the sheet is taken from the sheet name or cell A1 (see below). The following are the types of sheets:
Sheet Name | Description
Signals | The Signals sheet defines the STIL signals and the STIL SignalGroups. The name of this sheet is always Signals since Signals are global and can never have a block name.
DCLevels | The DCLevels sheet defines a STIL DC Levels block.
WaveformTable | The WaveformTable sheet defines a STIL WaveformTable block.
Pattern | The Pattern sheet defines a STIL Pattern block.
Site | The Site sheet defines a STIL Site block.
  • The OpenXML reader will look at cell A1 and at the name of the sheet to determine the type and name of the sheet.

    To specify the type and name in cell A1, the contents of the cell must be a string containing a colon. The substring to the left of the colon is the type of the sheet. The substring to the right of the colon indicates the name. For example, Pattern:Beta

    To specify the type using the sheet name, the sheet name must start out with one of the defined type names. The name of the sheet may be optionally specified by concatenating that on the end of the name with an optional hyphen (-) separator. For instance, "Pattern-Beta" would indicate this is a pattern sheet and it is called Beta.

  • The pattern reader will ignore comments. These are lines that:
    • begin with the hash (#) character
    • begin with a double slash (//)
    • Blank lines

  • The pattern reader looks for a rectangular table. The width of the table is defined by the first non-comment line. This first non-comment line contains headers that define the columns.The table extends till the end of the sheet or a blank line. non-blank line comment lines are permitted in the table. Comments may be added to the right of the table one the header has established the width.To add a comment to the right of the header, begin it with a comment character (hash or double slash).

  • In cells where a numeric is required, either a spreadsheet number may be entered or a string. If a string is entered, the numeric expression evaluator is used to convert the string to a number. This permits using engineering units and prefixes, for instance, a time can be entered as the string "10ns".In addition, the numeric variables implemented by the KtMDsr may be used. This permits deferring the evaluating of the strings until the pattern is activated at which time the expressions may be evaluated with new variables using the ReevaluateExpressions function.In general, formatting is ignored. It is generally useful to use cell shading to improve the readability of a pattern, however it is ignored by the KtMDsr.

Signals sheet

The Signals sheet is used to define the STIL Signal components and the STIL Signal Groups components.

The Signals table requires two columns:

Name | Description
Signal and Direction | Signal Name of the signal or the signal group. Follows STIL syntax. This column may include a range or signal reference expression. For example, Data[0..15] defines 16 signals: Data[0], Data[1],..., Data[15] When the Signal column contains a (valid) signal reference expression, then the signal name is taken to be a signal group and is defined with that expression. For example, ("Signal1+Signal2").
Direction | If this column contains a signal direction (In|Out|InOut), then the Signal is defined with this direction. The direction is always DUT-centric. For example, "Out" means an output from the DUT, which is an input to the DSR.

DCLevels sheet

The DCLevels sheet is used to define a STIL DCLevels block. Since there may be multiple DCLevels sheets, each DCLevels sheet must have a unique name.

The DCLevels sheet has the following columns:

Name | Description
Signal | signal reference expression that describes the signals that this DC Level defines.
Voh | The output high voltage from the DUT. This is the minimum voltage that will be treated as High as measured at the DUT output
Vol | The output low voltage from the DUT. This is the maximum voltage that will be treated as Low as measured at the DUT output
VHyst | This is the hysteresis used when measuring DUT outputs. The input value is rounded to either 0, 75mV, or 150mV .
Vih | This is the input to the DUT. This is the voltage that will be presented at the DUT input for a High.
Vil | This is the input to the DUT. This is the voltage that will be presented at the DUT input for a Low
Iol | This is the low output current for use with the active load. To turn on the active load, set values other than Not a Number (NaN) is a special code that indicates a value is "Not a Number". NaN is defined by the IEEE 754 floating-point standard and is typically used to refer to values that are unused or undefined. NaN also helps one to avoid expressions that might otherwise be divided by zero. NaN for Ioh, Iol, and Vcom that is injected into the DUT when the DUT is driving When active load is on, and the DUT voltage output exceeds Vcom, Ioh is output. If the DUT voltage is less than Vcom, Iol is input.
Ioh | This is the high output current for use with the active load. To turn on the active load, set values other than Not a Number (NaN) is a special code that indicates a value is "Not a Number". NaN is defined by the IEEE 754 floating-point standard and is typically used to refer to values that are unused or undefined. NaN also helps one to avoid expressions that might otherwise be divided by zero. NaN for Ioh, Iol, and Vcom that is injected into the DUT when the DUT is driving When active load is on, and the DUT voltage output exceeds Vcom, Ioh is output. If the DUT voltage is less than Vcom, Iol is input.
Vcom | This is the commutation voltage for use with the active load. To turn on the active load, set values other than Not a Number (NaN) is a special code that indicates a value is "Not a Number". NaN is defined by the IEEE 754 floating-point standard and is typically used to refer to values that are unused or undefined. NaN also helps one to avoid expressions that might otherwise be divided by zero. NaN for Ioh, Iol, and Vcom that is injected into the DUT when the DUT is driving When active load is on, and the DUT voltage output exceeds Vcom, Ioh is output. If the DUT voltage is less than Vcom, Iol is input.
Vit | This is the termination voltage used with the 50ohm termination. To turn on this mode, set the Vit value and leave the active load settings of Ioh, Iol, and Vcom blank (or put in 'Not a Number (NaN) is a special code that indicates a value is "Not a Number". NaN is defined by the IEEE 754 floating-point standard and is typically used to refer to values that are unused or undefined. NaN also helps one to avoid expressions that might otherwise be divided by zero. NaN' for not a number).
Vhh | Vhh is the high voltage output used in the high voltage output mode on the high voltage channels (20-23)

Any cell within the table can also specify a logical level from a standard logic family. Once a standard logic family is encountered, it is used for the rest of the blank cells in the table.

The following standard logic families are supported:

  • LVCMOS_1_2
  • LVCMOS_1_8
  • LVCMOS_2_5
  • CMOS_5
  • TTL
  • LVTTL
  • LVDS
  • PECL

All signals must have DC Levels specified for them.

WaveformTable sheet

The WaveformTable sheet is slightly different from the standard format in that the upper left corner of the table specifies the waveform period. This is done with the syntax:

Period=<period>

For instance:

Period= 40ns

The WaveformTable sheet contains the following columns:

Name | Description
Period=<period> | The entries in this column are the signal names. This can be signal reference expressions or simple signal names.
Character | The waveform character for which the transitions are being defined. As with STIL, multiple characters can be defined on the same line. To do so, each character is separated with a slash (/). Then the actions corresponding to each character are separated with a slash.
Up to 3 columns labeled Time | The nth time column is the time at which to apply the action specified in the nth action column.
Up to 3 columns labeled Action | The action columns specify an action character as follows:
Action Character | Type of Action | Action
U | Force | Force the DUT input to a 1
D | Force | Force the DUT output to a 0
Z | Force | Stop forcing, and do not drive the DUT input
P | Force | Continue Force from previous cycle
L | Compare | Compare the DUT output with a low
H | Compare | Compare the DUT output with a high
T | Compare | Verify the DUT output is three-state, that is, neither high nor low
X | Compare | Do not compare, doesn't matter what the signal is

Pattern sheets and MacroDef sheets

The Pattern sheet has the pattern definition. Multiple pattern sheets can be defined. A MacroDef sheet is very similar to a Pattern sheet, the only difference is that the MacroDef sheet is made up of macro definitions. Thus, the MacroDef sheet permits the pattern data to include MacroDef/EndMacro statements whereas the Pattern sheet does not.

The pattern table has the following columns:

Name | Description
Index | This is an optional column that permits entering a pattern index. The pattern index is returned with the comparison response data, so including it in the pattern makes it easier to identify the pattern line that was responsible for a given response. If the pattern index is not filled in, consecutive numbers starting from 0 are used. When assigning an index, it is beneficial to increment the previous line by one. This creates a more efficient compiled pattern than incrementing the index by other amounts.
Control | This is an optional column for entering control information. The control strings are case sensitive. The following are supported:
 | Label | Appears on a line with a normal vector. The Control column just contains the label following by a colon. For instance: "HandleErr:"
 | X | Appears on a line with a normal vector. The control column has X:<label>. For instance: "X:Trial1".
 | GoTo | Vector description must be blank. The control column contains Goto <label>. For instance: "Goto HandleErr".
 | Loop/EndLoop | Loop and EndLoop constructs must be on a line with a blank vector. the control column for Loop has Loop <count>. For instance: Loop 42.
 | MatchLoop/EndLoop | MatchLoop and EndLoop constructs must be on a line with a blank vector. the control column for MatchLoop has MatchLoop <count>. For instance: MatchLoop 42. The loop will execute either the number of times specified in count, or until all the compares in the loop test true. No response data is captured within a MatchLoop.
 | WatchLoop/EndLoop | WatchLoop and EndLoop constructs must be on a line with a blank vector. The control column for MatchLoop has MatchLoop <count>. For instance: MatchLoop 42. The loop will execute either the number of times specified in count, or until all the compares in the loop test true. No response data is captured within a MatchLoop.
 | EndLoop | EndLoop is used with all loop types to identify the end of the loop. This is the same as the close brace (}) in STIL. EndLoop must be on a line with a blank vector.
 | MacroDef/EndMacro | MacroDef and EndMacro constructs must be on a line with a blank vector. The control column for MacroDef has MacroDef:<MacroName>. For instance: MatcroDef:OutputByte. MacroDef blocks can only be defined in a MacroDef sheet.
 | Shift/EndShift | Shift and EndShift operations must appear on a line with a blank vector. Vectors within the Shift block are repeated until the macro parameters have all been used. Shift and EndShift can only appear in a MacroDef sheet.
 | Macro invocation | Macro's are invoked with the syntax Macro:<MacroName>. For example: Macro:OutputByte. The signal columns in the pattern contain parameters that are passed to the macros. In STIL, a separate parameter may be passed for each signal, therefore in the OpenXML format, each signal column can designate another parameter. STIL macro parameters can contain multiple characters. This is useful if the macro is defined using the special waveform character percent (%). Each time the macro expander sees the percent (%) character, another waveform character is used from the string. If the macro definition uses the waveform character hash (#), this indicates that a single character substitution should be done.
WaveformTable | This is an optional column that permits entering a WaveformTable for this row. Using this, a different WaveformTable, defining different characters, timings or period can be used for each vector. If the column is specified, but the entry is blank, this vector will be produced with the same WaveformTable as the previous vector. If no column is specified, and if there is a single WaveformTable defined, that will be used.
Signal columns | Additional columns can be put in the pattern sheet, where each column defines another signal. The column header is merely the name of the signal as defined on the Signal sheet. Note that if the signal sheet defines a group of Signal using a syntax like: Chan[0..10], a separate column must be defined in the pattern for each Chan signal using the syntax Chan[0], Chan[1], etc.

Site sheet

The Site sheet maps the logical signals that have been used to define the pattern onto the channels used to produce it. It also indicates how the Signals are mapped into bit positions and array elements of the API.

In OpenXML, the Trigger mapping, which STIL includes in the Site block, is done using the Settings sheet.

The following columns are defined for Site sheets:

Name | Definition
Signal | The Signal column identifies the signal that is being specified.
Channel | The Channel column specifies the channel where the designated signals data will appear.
Ordinal | The Ordinal column specifies the bit location (or array location) where data associated with this Signal will be placed. In the case of DSR Pattern, Static and Capture operations, this is a zero-based bit position. For PPMU operations this the element of the array that contains data for this Signal.

Settings sheet

The settings sheet is optional and contains general settings for the pattern.

The columns in the settings sheet are:

Name | Description
Sheet | This is the name of the sheet to set.
Setting | This is the parameter to set. The allowed values are dependent on the sheet type.
Value | This is the value to set the parameter to. The meaning is dependent on the setting and sheet type.

At this time, the only syntax supported are:

Sheet is set to "PatternExec" and the setting to "PatternBurst" | The value is set to a <Name>=<plus (+) separated list of patterns to execute> | A PatternExec of the specified name is created with a pattern burst composed of the listed patterns.
Sheet is set to the name of a Site sheet. | The setting is set to Trigger <0|1|2|3|4|5>. | The value is set to a trigger source. For instance "SoftwareTrigger0". This syntax will bind the trigger source to the Trigger specified in the pattern, within the WatchLoop instructions.

PatternExec sheet

The PatternExec sheet permits explicitly defining a PatternExec instead of using the abbreviated syntax in the Settings sheet. The PatternExec provides the PatternBurst and the DCLevels that will be used to generate a named pattern.

The syntax for specifying the PatternBurst is a plus (+) separated list of pattern sheets. The syntax for specifying the DCLevels is just the name of the DCLevels sheet.

The columns in the PatternExec sheet are:

Column | Description
SheetType | This syntax indicates if this line is defining a PatternBurst or a DCLevels. Thus this column needs to contain either the string "PatternBurst" or the string "DCLevels".
Name | This column identifies the names of the sheets to be used. For PatternBurst it is a list of sheet names separated by plus (+) signs. For DCLevels it is a single sheet name.


Pattern File Formats

The M9195A SFP supports three different file formats:

Format

Description

IEEE 1450 (STIL)

STIL (pronouced like "style") is the IEEE Standard Test Interface Language (STIL) for Digital Test Vector Data. The standard specifies a very complete language for defining stimulus and response, of which the Keysight DSR implements a subset. The DSR also adds a few custom block types.

Use the STIL format if you receive your data from a tool that produces the STIL standard format, or if you prefer your processes to follow a standard.

When loading a STIL file, only the first syntax error encountered is returned (even if there are multiple errors).

For more information see STIL File Information.

OpenXML (xlsx)

The SFP can read a pattern definition out of a standard spreadsheet file. The file layout is defined by the ECMA 376 OpenXML standard. For the pattern definition, the arrangement of the data within the spreadsheet is defined by the DSR and closely follows the STIL format. A pattern definition can naturally be specified in terms of a series of spreadsheet tables, and this format is taken by the DSR.

Use the OpenXML format if you prefer to work with a spreadsheet program instead of the standard STIL text file format. When loading a spreadsheet file, all the syntax errors are returned at once. They can optionally be written into another sheet within the file to simplify the debugging process.

For more information see OpenXML Pattern File Format.

Bulk Data

The BulkData format provides a way to load only the data that makes up the pattern. The result of loaded a bulk data file is a pattern STIL component that can be used with the additional definition information from STIL, OpenXML, or the SFP API.

The BulkData format is a flexible format based on a text file. The content can be just the waveform characters that define the pattern, or waveform timing information and line numbers may be included.

A bulk data file may have its load operation deferred until the pattern is compiled and written to memory. this allows much larger patterns to be loaded.

For more information see Bulk Data File Format

.

Notes

  • Any pattern, regardless of the source, can be saved to a STIL file. The resulting STIL file is not intended to be in a convenient human readable format, but it can be loaded back into the SFP and executed to provide the same pattern as the original did.

  • Any pattern can also be compiled and saved either to cache or the file system.


PXI Triggering


QR Code


Replacing the Core M9195A Assembly

For information and instructions to troubleshoot the M9195A PXI DSR module, and instructions to replace the M9195A DSR module core refer to the M9195A Service Guide. The latest version of this guide is on the M9195A web site: www.keysight.com/find/M9195A

You will need to reprogram the serial number only when you replace the M9195A core with an Keysight replacement assembly and you need to preserve the original serial number. Reprogramming the serial number requires that you have the Serial Number Update Entitlement Certificate that came with the replacement core assembly. For detailed instructions, refer to Serial Number Reprogramming.

For technical and sales support, visit www.keysight.com/find/assist


Return the module for service

Should it become necessary to return an Keysight module for repair or service, follow the steps below:

  1. Review the warranty information shipped with your product.
  2. Contact Keysight to obtain a return authorization and return address. If you need assistance finding Keysight contact information go to www.keysight.com/find/assist (worldwide contact information for repair and service) or refer to the Support information on the product web page at: www.keysight.com/find/pxi-dio.
  3. Write the following information on a tag and attach it to the malfunctioning equipment.
  • Name and address of owner. A Post Office box is not acceptable as a return address.
  • Product model number (M9195A).
  • Product serial number (for example, MYXXXXXXXX). The serial number label is located on the side of the module.
  • A description of failure or service required.
  4. Carefully pack the module in its original ESD bag and carton. If the original carton is not available, use bubble wrap or packing peanuts, place the instrument in a sealed container and mark the container “FRAGILE”.
  5. On the shipping label, write ATTENTION REPAIR DEPARTMENT and the service order number (if known).

If any correspondence is required, refer to the product by serial number and model number.


Simulation Mode

From the initial list of modules supported by the driver, check the Simulation Mode box. This allows you to look at the SFP for any module supported by the SFP interface driver. In the Simulation mode, you can operate the interface without actually changing the state of the module. Select a module and then click the Simulatebutton.

You have three choices:

  • Instruments and Modules This refers to ???
  • Modules Allows you to select an individual module (such as the M9195A)
  • Saved Instruments Allows you to select instruments (???how do customers save instruments????)

This opens a screen identical to the actual module SFP.


STIL File Information

STIL generally follows a "define before use" rule which is described Section 7 of the "IEEE Std 1450-1999".

There are a few exceptions however:

  • The pattern_domain_name, Procedures, and MacroDefs domain name references in the PatternBurst block. The pattern_name is always a forward reference, as Pattern blocks are always last in a STIL file; however, the Procedures and MacroDefs may or may not be forward references.

  • Any SignalGroups or Timing data referenced in a Procedures or MacroDefs block (as these references cannot be resolved until the reference statements have been identified in the PatternBurst or PatternExec block).

Patterns are constructed from building blocks that are collectively referred to as STIL components. The STIL components closely follow the block definitions that are provided by STIL (IEEE 1450). The STIL specification requires that the component definitions in a STIL file occur in a specified order.

The following table lists the STIL elements in the recommended block order:

STIL Block | Description
Signals | The Signals block defines the signals that are used by the various blocks to compose the patterns. Signals must be defined in the signals block before they are referred to from one of the other blocks.
SignalGroups

SignalGroups permit referring to multiple signals with a single name. This simplifies defining items like DC Levels where numerous signals may need to be assigned at the same time.

A SignalGroup is defined with a string that contains one or more signals. There are basic operators available for referencing a series of signals and for adding and removing signals from a group.

Site | The Sites block specifies how a pattern definition is applied to the physical DSR. This includes: mapping the signals to DSR channels; specifying an ordinal for each signal and channel; and mapping the trigger references in the pattern to physical trigger sources.
DCLevels | The DCLevels block specifies two things. First, the voltage levels associated with either detecting or producing a logical 1 or 0. Second, the DCLevels also describe how each signal line should be electrically loaded. The DCLevels are defined independently for each signal in the pattern, so there is a dependency to the signal definitions.
Timing (includes WaveformTable)

A WaveformTable defines the waveform that should be produced, or expected by the DSR when a particular waveform character is executed on a particular Signal.

The waveform table name is used in the pattern to specify how each vector of the pattern should be executed. The waveform tables define the timing characteristics, including the total time for the bit period, and the time within the period when responses should be expected or stimulus levels generated. The timing information in the waveform tables may be specified independently for each signal; therefore, signals are dependent on the waveform tables.

PatternBurst | The PatternBurst is a list of pattern blocks. The PatternBurst structure permits specifying a list of patterns blocks to execute in a sequence. Patterns are permitted to be defined in terms of macros. The PatternBurst also has a reference to the macros that will be used when evaluating the patterns.
PatternExec | The PatternExec is the highest level definition of a pattern. In the general IEEE 1450 model it can have other information, but in the SFP it only contains the list of pattern blocks that should be executed and the DCLevels for each signal in the block.
Procedures | Note: Procedures are not supported in the M9195A API or Soft Front Panel. The Procedure block contains user named blocks; each block defines a single procedure and each block contains any combination of the STIL pattern statements.
MacroDefs | The SFP permits patterns to invoke macros. The SFP supports standard STIL mechanisms for parameter replacement. In the SFP, the macros are defined in a conventional pattern block. The MacroDefs block identifies the pattern block that will be used to fill in the macros specified when evaluating a pattern.
Pattern | The Pattern blocks contain the actual ones and zeroes that are produced and expected by the DSR. The pattern is defined in terms of vectors that specify the values for all signals, and a reference to a waveform table. Each vector specifies the stimulus and/or expected response value for each signal in the pattern. The timing characteristics are permitted to change for each vector in the pattern; therefore, each vector has an independent waveform table defined.

Common operations on STIL components

The following functions and attributes are used to work with the STIL components:

Function | Description
Add | Adds a new instance of a repeated capability. For instance, this could be used to add a new signal to the signals collection.
Count | This attribute contains the number of instances of the repeated capability that have been defined. This is primarily useful for discovering the repeated capabilities in the driver, often after loading a STIL or OpenXML file.
Name | This property returns the name of a repeated capability at a given index. By reading the Count property, and calling name for each defined Index, a client can discover the repeated capabilities defined.
Remove | This function removes a repeated capability of the given name. This frees up memory and other resources associated with the repeated capability.
Item (Name)

The Item function provides access to the actual capability. The Item function returns an instance of the repeated capability. For IVI-COM, this is an object that has methods defined to read and write settings associated with that instance, or to do work with that instance.

The repeated capability is defined with a plural noun (for instance Signals ). The Item function takes the name of a particular member of that collection and return it. The type of this returned item is the singular form of the noun. For instance, the Signals repeated capability has an Item function that returns a Signal object, which has Direction defines for the Signal.

Item.Name

This attribute is defined on the repeated capability itself. This provides a way to get the name of this repeated capability. Thus, you pass the name to Item to get the repeated capability. Then you can check the Name attribute in the repeated capability to get that same name back again.

This is useful when the repeated capability has been passed to some operation that works with the repeated capability without access to its name. The Name function allows that client code to delete (or otherwise manipulate) the repeated capability without the context of how it was acquired.


Style Examples

Normal/body text (11 pt Arial).

This is a warning statement test. Had this been a real warning statement, you would have been better advised of the potential threats to you and your equipment.

some text...

more text ...

This is a caution statement test. Had this been a real caution statement, then you would have been better advised of the potential threats to you and your equipment.

some text...

more text ...

This is a note, drawing the reader's attention to important information, caveats, etc.

Mid-topic jump.

To connect to the module (procedure title)

  1. Do this....
  2. Do that...
  3. caveat a
  4. caveat b
  3. Do the last thing

This is a procedure note, like a regular note, but inside a procedure.

This Heading 2 style can be used in topics that need to be long. A mid-top jump can be used (put in a bookmark at beginning of this line).

Following is a table that auto-sizes to the window at 99% of the window width:

Table Heading fixed width | Table Heading | Table Heading
Table topic A | Table information, topic A | Table information, topic A
 | Table information, topic A | Table information, topic A
Table topic B | Table information, topic B | Table information, topic B

Following is a table that is a fixed width:

Table Heading fixed width | Table Heading | Table Heading
Table topic A | Table information, topic A | Table information, topic A
 | Table information, topic A | Table information, topic A
Table topic B | Table information, topic B | Table information, topic B

Following is a Related Topic button. Button text is 10 pt Arial. Uses pop-up method.

Related Topics Link Icon Related Topics

THE END


System Requirements

The following table lists the minimum system requirements for Keysight IO Libraries 16.0. In general, any x86 or x64 (except Itanium) should work but there may be a significant decrease in performance.

Property

Requirement

Operating System

Windows 7 SP 1 (32-bit and 64-bit), Windows 8 (32-bit and 64-bit)

Processor Speed (minimum)

1Ghz 32-bit (x86), 1GHz 64-bit (x64), no support for Itanium64

Available memory

4 GB minimum (8 GB recommended for 64-bit OS)

Available disk space1

1.5 GB available hard disk space, includes:

  • 1GB available for Microsoft .NET Framework 3.5 SP12

  • 100MB for Keysight IO Libraries Suite

Footnotes:

1 This is the required disk space for installation. Typically, less disk space is required for operation than is required for installation.

2.NET Framework Runtime Components are installed by default with Windows 7 and Vista. Therefore, you may not need this amount of disk space..

Hardware requirements

Topic

Requirements

Chassis

PXIe or PXI-H chassis slot
Host controller

A PXI or PXI Express embedded controller or remote controller (external PC connected to the chassis by a PCI-to-PXI interface) is required.

Embedded controller

Keysight M9037A or an embedded controller that meets the following requirements:

  • PXIe system controller (PXI-1 embedded controllers are not compatible)
  • Use a 2x8, 4x4, or 1x4 PXIe system slot link configuration.
  • Run one of the operating systems listed in System Requirements (above).

Remote controller

Keysight M9021A (for Keysight M9018A chassis use only)

  • Keysight M9045B PCIe ExpressCard Adaptor x1, with cable (for a laptop PC)
  • Keysight M9048A PCIe Desktop Adaptor x8, with cable (for desktop PCs)

Note: You can download the latest version of Keysight IO Libraries Suite from: www.keysight.com/find/iosuite


Theory of Operation

Module Theory of Operation

Operational Modes

Keysight's M9195A has two modes of operation:

Multiple independent sites (MIS): In this mode, you have control of N separate sequencers. Each sequencer is five bits wide (four per module) and largely independent of the other sequencers. It has its own control of markers, clocks, patterns.

Single site (SS): In this mode, you control one sequencer. The width of the pattern that the sequencer plays is 16 for a single module and:

  • [(number of synchronized modules in the instrument) x 16] – 1. For example, if you have three M9195A modules synchronized together, the total width of the pattern is [(3 x 16) -1] = 47
  • For number of modules > 1. Up to 12 modules may be bound together into a single multi-module instrument known as an MMI

In each mode, there is one and only one active pattern associated with each sequencer. Therefore, it is accurate to consider that each pattern has a maximum of 5 channels in the MIS mode and 20 16 channels in single module single site mode, and 16*Number of modules -1 in SS mode.

The M9195A supports a multi-site capability. That is, the basic capability to write a program that can be fairly transparently employed to control several identical capabilities, each applied to a different site of a tester. When in MIS mode , each site may also be operated independently as well as in multi-site mode.

Programming

Software drivers are supplied for Microsoft Windows operating systems. These drivers are supplied in the form of Dynamic Link Libraries (DLLs). Documentation for the drivers are provided as HTML help files (*.chm). The drivers and associated help files are supplied on the ???? Software and Product Information CD that came with your module.

IVI Driver for Windows

The supplied Keysight Interchangeable Virtual Instrument (IVI) driver supports the Keysight PXI M9195A module. The IVI driver is suitable for programming the Keysight switch modules using Microsoft development environments (e.g., Visual Studio, C, C++, C#, Visual Basic), Keysight VEE, MATLAB, or National Instruments Labview.This driver is also required for the using the Soft Front Panel software.

Information on IVI and VISA can be found at the IVI Foundation open consortium website at www.ivifoundation.org. The driver requires Keysight VISA version 2.6 or greater to be installed on the host system for its operation (VISA version 2.2.0, implementation 2.6.0). The driver also needs the IVI libraries that were installed with the Keysight IO Libraries.

LabVIEW Driver

The LAbVIEW driver provides access to the functionality of the module through LabVIEW VIs.This driver works in National Instruments LabVIEW development environment. Before this driver can be installed, your computer must already have the IVI Shared Components installed.


Accessories List

The following tables list the accessories available for the M9195A Digital Stimulus Response module. Refer to the M9195A User Guide or the respective accessory’s documentation for detailed information:

Cable Accessory Number

Description
Y1245A Single Site Signal Cable, 0.5 meters

Y1246A

Single Site Signal Cable, 1 meter

The Y1245A, Y1246A, Y1247A, Y1248A, and Y1249A come with a squeeze-lock connector installed on the cables for attaching them to your Device Under Test. These cables also come with alternate thumbscrew hoods for connecting to your Device Under Test (DUT).

Y1247A

Single Site Signal Cable, 2 meters

Y1252A

Calibration Kit

Y1253A

Evaluation and Prototyping Kit

Y1254A

Breakout Cable, 1 meter

Y1255A

Breakout Cable, 2 meter

Additionally, one software accessories is available:

Software Accessory Number | Description
M9192A | Digital Stimulus/Response Pattern Editor Software

The M9192A software editor requires additional licensing. Refer to the M9192A Startup Guide for additional information


Y1245A, Y1246A and Y1247A Single Site Signal Cable

Keysight's Y1245A, Y1246A and Y1247A are the same cable but different lengths; the Y1245A cable is 0.5 metesr long, Y1246A cable is 1 meter long and the Y1247A cable is 2 meters long. These cables contain 60 micro coax lines for 16 channels, 16 PPMU sense, 4 high voltage, and 4 Open Drain lines. 60-Pin Male Edge Rate to Male Edge Rate connectors with squeeze latches are used on the cable. One end of this cable plugs onto the M9195A front panel connector. The other end is available to connect to your Device Under Test (DUT) or the Keysight Y1253A Evaluation and Prototyping Kit. The cables also include an alternate thumb screw hood for the DUT end.

Refer to the M9195A User Guide for detailed information on using the various signal lines.

General Use Recommendations

Keysight recommends that you use one of the following three Samtec 60-pin mating connectors to mate with your Device Under Test (DUT) end connector on the cable:

  • ERF8-030-01-L-D-RA-L-TR (right angle)
  • ERF8-030-01-L-D-EM2-TR (edge mount, for use on 0.062"thick PC boards)
  • ERF8-030-05.0-L-DV-L-TR (vertical mount)

Pinout of the DUT cable connector

This pinout is the same as the pinout on the M9195A DSR module.

Latch/GND | Pin # | Pin # | Latch/GND
GND | 59 | 60 | Channel 03
Channel 00 | 57 | 58 | GND
GND | 55 | 56 | Channel 01
Channel 02 | 53 | 54 | GND
GND | 51 | 52 | Channel 07
Channel 06 | 49 | 50 | GND
GND | 47 | 48 | Channel 05
Channel 04 | 45 | 46 | GND
GND | 43 | 44 | High Voltage 22
High Voltage 23 | 41 | 42 | GND
GND | 39 | 40 | High Voltage 21
High Voltage 20 | 37 | 38 | GND
GND | 35 | 36 | Channel 11
Channel 10 | 33 | 34 | GND
GND | 31 | 32 | Channel 09
Channel 08 | 29 | 30 | GND
GND | 27 | 28 | Channel 13
Channel 12 | 25 | 26 | GND
GND | 23 | 24 | Channel 15
Channel 14 | 21 | 22 | GND_SENSE
PPMU_Sense 14 | 19 | 20 | PPMU_Sense12
PPMU_Sense 13 | 17 | 18 | PPMU_Sense 13
PPMU_Sense 10 | 15 | 16 | PPMU_Sense 11
PPMU_Sense 08 | 13 | 14 | PPMU_Sense 09
Open Drain 0 | 11 | 12 | Open Drain 2
Open Drain 1 | 9 | 10 | Open Drain 3
PPMU_Sense 05 | 7 | 8 | PPMU_Sense 06
PPMU_Sense 04 | 5 | 6 | PPMU_Sense 07
PPMU_Sense 02 | 3 | 4 | PPMU_Sense01
PPMU_Sense 03 | 1 | 2 | PPMU_Sense 00
Latch/GND |  |  | Latch/GND


Y1246A and Y1247A Single Site Signal Cable

Keysight's Y1246A and Y1247A are the same cable but different lengths; the Y1246A cable is 1 meter long and the Y1247A cable is 2 meters long. These cables contain 60 micro coax lines for 16 channels, 16 PPMU sense, 4 high voltage, and 4 Open Drain lines. 60-Pin Male Edge Rate to Male Edge Rate connectors with squeeze latches are used on the cable. One end of this cable plugs onto the M9195A front panel connector. The other end is available to connect to your Device Under Test (DUT) or the Keysight Y1253A Evaluation and Prototyping Kit. The cables also include an alternate thumb screw hood for the DUT end.

Refer to the M9195A User Guide for detailed information on using the various signal lines.

General Use Recommendations

Keysight recommends that you use one of the following three Samtec 60-pin mating connectors to mate with your Device Under Test (DUT) end connector on the cable:

  • ERF8-030-01-L-D-RA-L-TR (right angle)
  • ERF8-030-01-L-D-EM2-TR (edge mount, for use on 0.062"thick PC boards)
  • ERF8-030-05.0-L-DV-L-TR (vertical mount)

Pinout of the DUT cable connector

This pinout is the same as the pinout on the M9195 DSR module.

Latch/GND | Pin # |  | Pin # | Latch/GND
GND | 59 | ???????? | 60 | Channel 03
Channel 00 | 57 |  | 58 | GND
GND | 55 |  | 56 | Channel 01
Channel 02 | 53 |  | 54 | GND
GND | 51 |  | 52 | Channel 07
Channel 06 | 49 |  | 50 | GND
GND | 47 |  | 48 | Channel 05
Channel 04 | 45 |  | 46 | GND
GND | 43 |  | 44 | HV22
HV23 | 41 |  | 42 | GND
GND | 39 |  | 40 | HV21
HV20 | 37 |  | 38 | GND
GND | 35 |  | 36 | Channel 11
Channel 10 | 33 |  | 34 | GND
GND | 31 |  | 32 | Channel 09
Channel 08 | 29 |  | 30 | GND
GND | 27 |  | 28 | Channel 13
Channel 12 | 25 |  | 26 | GND
GND | 23 |  | 24 | Channel 15
Channel 14 | 21 |  | 22 | GND_SENSE
PPMU_Sense14 | 19 |  | 20 | PPMU_Sense12
PPMU_Sense13 | 17 |  | 18 | PPMU_Sense13
PPMU_Sense10 | 15 |  | 16 | PPMU_Sense11
PPMU_Sense08 | 13 |  | 14 | PPMU_Sense09
Open Drain 0 | 11 |  | 12 | Open Drain 2
Open Drain 1 | 9 |  | 10 | Open Drain 3
PPMU_Sense05 | 7 |  | 8 | PPMU_Sense06
PPMU_Sense04 | 5 |  | 6 | PPMU_Sense07
PPMU_Sense02 | 3 |  | 4 | PPMU_Sense01
PPMU_Sense03 | 1 |  | 2 | PPMU_Sense00
Latch/GND |  |  |  | Latch/GND


Y1248A and Y1249A Multi-Site Signal Cable

Keysight’s Y1248A and Y1248A Multi-Site Signal Cables are the same cable but different lengths. The Y1248A cable is 1 meter long and the Y1249A cable is 2 meters long. These cables separate the M9195A signals into four independent partitions for multi-site testing. Each partition contains a 20-pin Edge Rate connector with squeeze latch, four signal lines, four PMU sense lines, one high voltage, and one open drain line. Each cable includes a set of four alternate thumb screw hoods.

Refer to the M9195A User Guide for detailed information on using the various signal lines.

General Use Recommendations

Keysight recommends that you use one of the following three Samtec 20-pin mating connectors to mate with your Device Under Test (DUT) end connector on the cable:

  • ERF8-010-01-L-D-RA-L-TR (right angle)
  • ERF8-010-01-L-D-EM2-TR (edge mount, for use on 0.062"thick PC boards)
  • ERF8-010-05.0-L-DV-L-TR (vertical mount)

Pinout of the DUT cable connector

One end of this cable plugs onto the M9195A front panel connector. The other end is available to connect to your Device Under Test (DUT). The following table and graphic are provided to help you in connecting to your DUT.

J2 Red | J3 Blue | J4 Green | J5 Yellow | Pin # | Pin # | J5 Yellow | J4 Green | J3 Blue | J2 Red
Channel 04 | Channel 08 | Channel 12 | Channel 16 | 2 | 1 | Gnd | Gnd | Gnd | Gnd
Gnd | Gnd | Gnd | Gnd | 4 | 3 | Channel 13 | Channel 09 | Channel 05 | Channel 01
Channel 02 | Channel 06 | Channel 10 | Channel 14 | 6 | 5 | Gnd | Gnd | Gnd | Gnd
Gnd | Gnd | Gnd | Gnd | 8 | 7 | Channel 15 | Channel 11 | Channel 07 | Channel 03
DUT GND Sense |  |  |  | 10 | 9 | Gnd | Gnd | Gnd | Gnd
Gnd | Gnd | Gnd | Gnd | 12 | 11 | High Voltage23 | High Voltage22 | High Voltage21 | High Voltage20
Open Drain 0 | Open Drain 1 | Open Drain 2 | Open Drain 3 | 14 | 13 | Open Drain 3 | Open Drain 2 | Open Drain 1 | Open Drain 0
Gnd | Gnd | Gnd | Gnd | 16 | 15 | Gnd | Gnd | Gnd | Gnd
PPMU Sense O2 | PPMU SenseO6 | PPMU Sense10 | PPMU Sense14 | 18 | 17 | PPMU Sense15 | PPMU Sense11 | PPMU Sense07 | PPMU Sense03
PPMU Sense01 | PPMU Sense05 | PPMU Sense09 | PPMU Sense13 | 20 | 19 | PPMU Sense16 | PPMU Sense12 | PPMU Sense08 | PPMU Sense04


Y1252A Calibration Kit

Keysight's Y1252A Calibration Kit (three cables and this Installation Guide) is used to fully calibrate the M9195A on-board ADC and signal timing at the module front panel.

Use the M9195A Soft Front Panel software to actually perform the calibration. The SFP software is available on the Product and Information CD supplied with the M9195A. It is also available at www.keysight.com/find/M9195A.

The full M9195A calibration process calibrates the following:

  • M9195A ADC subsystem
  • PMU
  • Time (skew)

This full calibration should be completed every two years to ensure M9195A specifications are met. A partial self-calibration, not requiring the Y1252A cable or DMM, is also available and should be done periodically.

Also Required for Calibration

In addition to the Y1252A Kit, the following are required for complete calibration of the M9195A DSR module:

  • Precision DMM. The Keysight 3458A is recommended but most 5.5 digit DMMs or better are sufficient.
  • Keysight M9195A Soft Front Panel (SFP) software. The SFP software is available on the Product and Information CD supplied with the M9195A.

Calibration Instructions

For complete calibration instructions, click here: M9195A Field Calibration Procedure


Y1253A Evaluation and Prototyping Kit

Keysight's Y1253A provides a connector block and prototyping area for the M9195A Digital Stimulus/Response Module (DSR) and other modules. This kit provides the following:

  • One prototyping board circuit board (breadboard).

  • Connection for a Single Site Cable (Y1246A or Y1247A cable, not included in kit).

  • Termination sockets for the digital pins located close to the breakout header.

  • 32 DSR signal header pins for the 16 channels and associated grounds.

  • 16 Sense header pins for the 16 PPMU sense high lines.

  • Common PPMU Sense lines go to a jumper so that you can connect to the board ground if desired.

  • 8 header pins for the High Voltage and open-drain (OD) relay drive pins with 8 ground pins.

  • Breadboarding area 5800 cm2 (9 in2). Power and ground strips are available in the breadboard area. The breadboard area provides standard 1/10 inch spacing. This area does not include the portion of the circuit board required by the interface and power components.

  • 12 pin terminal block for up six power supplies.

What is included in the Kit

  • One Y1253A Prototyping PC Board

What you need to get Started

  • One Keysight M9195A Digital Stimulus/Response Module (DSR).
  • One Y1246A or Y1247A cable
  • Software such as the Soft Front Panel software for the M9195A

Other items you may find useful:

  • Various resistors and capacitors for breadboarding. 10-pin in-line resistor networks for pull-up/pull-down and series termination.
  • Dual in-line header receptacles (16x2)
  • 30 AWG silver-plated copper wire with Kynar™ insulation in a variety of colors and wire-wrap tool
  • One or more DC power supplies. Up to four may be used.

Using the Kit

For complete instructions on using the Y1253A Evaluation and Prototyping Kit, refer to the Instruction manual provided with the kit.


Y1254A and Y1255A Breakout Cable

Description

The Y1254A and Y1255A cables are the same cable but different lengths; the Y1254A cable is 1 meter long and the Y1255A cable is 2 meters long. These cables allow you to access individual signal pins for prototyping or debug using SMA connectors plus four header receptacles for low-speed signals. These cables accommodate both single and multi site usage. Refer to the M9195A Startup Guide and User Guide for detailed information on using the various signal lines.

Signal lines are grouped (by color) to indicate the bank of channels.

General Use Recommendations

Keysight recommends that you use Samtec part EJH-105-01-F-D-TH-10 shrouded ejector headers on your DUT. These headers mate to the header receptacles on this cable.

Pinout of Header Receptacles (J2, J3, J4, J5)

The four headers provide connection to the PPMU channel sense lines and the four open drain relay driver lines. Refer to the following header diagram and table.

J5 Yellow | J4 Green | J3 Blue | J2 Red | Pin # | Pin # | J2 Red | J3 Blue | J4 Green | J5 Yellow
No connect | No connect | No connect | No connect | 9 | 10 | Key Plug | Key Plug | Key Plug | Key Plug
PPMU Sense 15 | PPMU Sense 11 | PPMU Sense 07 | PPMU Sense 03 | 7 | 8 | Gnd | Gnd | Gnd | Gnd
PPMU Sense 14 | PPMU Sense 10 | PPMU Sense 06 | PPMU Sense 02 | 5 | 6 | DUT Gnd Sense | DUT Gnd Sense | DUT Gnd Sense | DUT Gnd Sense
PPMU Sense 16 | PPMU Sense 12 | PPMU Sense 08 | PPMU Sense 04 | 3 | 4 | Open Drain 0 | Open Drain 1 | Open Drain 2 | Open Drain 3
PPMU Sense 13 | PPMU Sense 09 | PPMU Sense 05 | PPMU Sense 01 | 1 | 2 | Gnd | Gnd | Gnd | Gnd


Automatic Corrections

Automatic Corrections runs an algorithm which automatically calculates corrections for the module. Before calling this function, any external fixtures (inputs to the instrument) must be disconnected from the instrument. Automatic Corrections may be done at any time. However, you should perform the Automatic Corrections procedure when:

  • When you initially set up the test system.

  • There is any change to the test system environment. Specifically, any time the current module temperature has deviated more than 5 °C from the temperature at which the current corrections were made.

  • On a regular schedule as necessary; for example, you may want to perform the Automatic Corrections daily, weekly, or monthly.

No additional equipment is required for the Auto Corrections.

Automatic Corrections takes several minutes to complete. At the end of the Automatic Corrections procedure, the M9195A/B is left in it power-on, reset state.

You must remove all cables from the M9195A/B when executing an Automatic Corrections. Failure to remove all cables will result in inaccurate adjustment and could result in damage to the M9195A/B and anything attached to the cables (such as your DUT).

Automatic Corrections resets the module, aborts any open sessions, and may make your device unavailable for 60 seconds or more. Do not close the Soft Front Panel (SFP) software and do not disable the device during this period.

Perform Automatic Corrections Procedure

  1. Turn the system on and allow it to warm-up for a minimum of 60 minutes.

  2. Remove all cables from the front of the M9195A/B.

  3. Start the Soft Front Panel and connect to the M9195A/B DSR module.

  4. Select the Instruments tab in the main screen.
  5. Select the Automatic Corrections... tab.

  6. The dialog box shows if an Automatic Corrections is needed (True) or not (False). It shows True if the current module temperature has deviated more than 5 °C from the temperature at which the current corrections were made. You can also select the averaging mode (average of 64 readings or 50 Hz or 60 Hz line cycles).

Averaging Mode has three possible settings:

Mode | Description
Average 64 | 64 measurements are made and averaged together on each channel. This improves noise level on the measurements.
Windows 50 Hz

Measurements are averaged over a 50 Hz power-line cycle. All channels are measured simultaneously over this period. In addition to the noise reduction provided by Average64, this also rejects line noise present on the signal lines, resulting in improved measurement quality.

This setting should be used in environments with 50 Hz line frequency that require maximum conversion resolution. The minimum measurements time is 20 ms.

This setting is the best choice for environments with 400 Hz line frequency that require maximum conversion resolution; however, the line rejection will not be as effective.
Windows 60 Hz

Measurements are averaged over a 60 Hz power-line cycle. All channels are measured simultaneously over this period. In addition to the noise reduction provided by Average64, this also rejects line noise present on the signal lines, resulting in improved measurement quality.

This setting should be used in environments with 60 Hz line frequency that require maximum conversion resolution. The minimum measurements time is 17 ms.

  7. Click the Execute Automatic Corrections button to initiate the corrections process. Follow all on-screen instructions.

  8. When the Automatic Corrections is complete, the M9195A/B is left in its power-on, reset state.

See also:

  • Instrument Tab


Introduction to M9195A Calibration

Two adjustment methods are available for the M9195A: Automatic Corrections and Fixture Calibration. Both of these are available from the M9195A Soft Front Panel (SFP) interface.

Automatic Corrections runs an algorithm which automatically calculates corrections for the instrument. Before calling this function, any external fixtures (inputs to the instrument) must be disconnected from the instrument.

Both procedures abort any open sessions, make your device unavailable for several minutes, and resets the module. Do not close the Soft Front Panel (SFP) software and do not disable the device during this period.

For detailed instructions, refer to:

  • Execute Automatic Corrections
  • Fixture Calibration


M9195A Fixture Calibration Procedure

Keysight recommends a full fixture calibration on a two year interval in order to achieve the highest level of performance. An Automatic Corrections, not requiring the Y1252A cable or DMM, is available in the Soft Front Panel (Instrument tab) and may be done at any time.

Keysight's Y1252A Calibration Kit (three ???? cables and an Installation Guide) is required to fully calibrate the M9195A on-board ADC and signal timing at the module front panel.

Use the M9195A Soft Front Panel software to perform the calibration. The SFP software is available on the Product and Information CD supplied with the M9195A. It is also available at: www.keysight.com/find/M9195A.

Calibrating your M9195A resets the module, aborts any open sessions, and may make your device unavailable for more than five minutes. Do not close the Soft Front Panel (SFP) software and do not disable the device during this period.

Required for Calibration

In addition to the Y1252A kit, the following are required for complete calibration of the M9195A DSR module:

  • Precision DMM for voltage calibration. The Keysight 3458A is recommended but most 5.5 digit DMMs or better are sufficient.

  • For the current calibration, a meter capable of measuring 10 mA 0.05% with 1 nA resolution is required.

  • Keysight M9195A Soft Front Panel (SFP) software. The SFP software is available on the Product and Information CD supplied with the M9195A.

All cables except the Y1252A Calibration Kit cable must be removed from the M9195A before starting the Fixture Calibration.

Installation and Removal of the Y1252A Cable

The end of the cable that connects to the M9195A has a single thumb screw on the hood. Connect the cable to the M9195A and then hand-tighten the thumb screw to the attached hex standoff on the module. See the following illustration:

Perform a Fixture Calibration on the M9195A

  1. Turn on the DMM and power-up the chassis with the M9195A. Allow both to warm up for at least 60 minutes.

  2. After the warm-up period, launch the M9195A Soft Front Panel (SFP).

  3. Using the SFP, connect to the M9195A to be calibrated.

  4. Select Utilities > Calibration Wizard.... This starts the Calibration Wizard which guides you through the calibration process.

Carefully follow the SFP instructions. The SFP provides instructions for setting the DMM, entering the DMM readings into the SFP, etc.
  5. Connect Timing Fixture A and click Next. ?????

  6. Remove Timing Fixture A and connect Timing Fixture B and click Next ?????
  7. Remove Timing Fixture B.

  8. Assemble the BNC-to-Banana plug cables to the main Y1252A cable.

    1. Connect the Banana plugs to the DMM as shown above.

    2. Connect the Calibration fixture to the M9195A.

    3. Set the DMM to measure DC volts, Autorange.

  9. In the SFP Calibration Wizard, select the Averaging Mode (64 reading average or 50 Hz or 60 Hz normal mode rejection).

  10. Press the Next button on the Calibration Wizard.

  11. The Calibration Wizard then steps you through ten screens to calibrate the voltage ranges. At each screen, take a reading from the DMM and enter that reading in the Measured Voltage field in the wizard. For example, the following screen shows the wizard ready to calibrate the 0.64 voltage range. If the DMM measures 0.6385 DC volts, then enter 0.6385 in the Measured Voltage field. Press the Next button after entering the measured voltage.

  12. After calibrating both positive and negative voltages on the 0.64 volt range, the two volt range, the five volt range, and the 10 volt range, the wizard then calibrates maximum and minimum DC current.

Current measurements must be entered into the SFP in units of Amps, not mA.

  13. After calibrating currents, you will be instructed to remove the calibration fixture from the M9195A DSR module. Press the Next button on the Calibration Wizard.

  14. At this point, the wizard starts the Automatic Corrections procedure; the module calculates and stores its calibration constants. When it is finished, it displays the following screen:

  15. At this point, the wizard starts the Automatic Corrections procedure; the module calculates and stores its calibration constants. When it is finished, it displays the following screen:

See also:

  • M9195A Automatic Corrections Procedure


Hardware Options Upgrade

Hardware Options Upgrade... is used to upgrade the options on the hardware being used in the current Keysight M9195A/B DSR module configuration.

Redeem Instructions

  1. Once you have purchased a hardware options upgrade, you will receive a "Hardware Options Upgrade Entitlement Certificate" The entitlement certificate guarantees you access to the licensed capabilities of your Keysight hardware options upgrade.
  2. From the list of displayed "Available Options Upgrades," select Copy next to the module you plan to upgrade; this saves the Host Information to the Microsoft Windows clipboard.
  3. Access the Keysight Software Manager (KSM) website and use the entitlement certificate you received to add licenses to your profile. (Once added to KSM, the website shows how many licenses you are entitled to assign to hosts.)

  1. Log onto the Keysight Software Manager website.

    http://www.keysight.com/find/softwaremanager
    • If you are a First Time User, you must Register with an email address and select a password. This allows you to create a profile which is needed before you can add entitlement certificates or assign a license to a host.
    • If you are a Returning User, enter your email, password, and select Login.

  2. Select the Licenses tab.
  3. You should see all of your currently assigned licenses and each of their corresponding hosts. If you have never entered information from an entitlement certificate before, the table will show that there are no licenses available.
  4. Select Get more licenses... .
  5. You will be prompted with, " Do you want to add another certificate to your profile? "

Check Yes

If you have entitlement certificates that you would like to add to your profile.

  1. Check "Yes" and then select Continue.
  2. Enter the Order Number and Certificate Number located on the top of your "Hardware Options Upgrade Entitlement Certificate."

    The entitlement certificate number is not case sensitive, but must include the dash.

    This will add your entitlement certificate information to the Keysight Software Manager database. After completing your registration, you can assign these licenses to a host.

  3. Select Continue to Add Licenses.
  4. SelectAdd to My Profile to add these licenses to your profile.
  5. You will then be prompted with, "Do you want to add another certificate to your profile?"

You can repeat this process again by checking "Yes" or you can check "No" and follow the process for assigning licenses.

Check No

If you do not have additional entitlement certificates, but you are ready to assign licenses.

  1. Check "No" and then select Continue.
  2. Assign a License to a Host.
  1. Select a Host from the Select Host drop-down menu.

    (If the host is not in the list, select Add a new host... and you will be prompted for the Host Information associated with the host you are trying to add.See details below.)

  2. Select one of the Licenses to be assigned to the selected Host.
  3. Select Assign Licenses. (This assigns one License to the selected Host.)
  4. Select Continue.
  5. When finished assigning Licenses to selected Hosts, check "No" and select Continue.
  3. Select Request Licenses to request the license assignment between the selected License and the selected Host.
    This will trigger an email to be sent to you with a license file of the form: filename.lic.
  4. Check your email system and retrieve the email with the license file attachment.
  5. Save the license file on your file system.
  6. Start the Keysight License Manager program by selecting Start > All Programs > Keysight License Manager > Keysight License Manager.
  1. Select File > Install > and using a Windows browser, navigate to the filename.lic.
  2. Start the Soft Front Panel of the Keysight PXI module associated with the license capability and verify that the new capability functions.

What Is the Host Information?

If the host is not in the list..., select Add a new host... and you will be prompted for the Host Information associated with the host you are trying to add.

The Host Information is a permanent, unique identifier to a Keysight instrument or application that locks licenses to that particular instrument or application. If the Host Information provided at the time the license is generated is wrong, the license will not enable the features purchased.

It is important that you enter the correct Host Information. Your license will not enable the new features if the Host Information does not exactly match your instrument or application.

Host Information for PXI modules is a character string and differs depending on the process being used:

Hardware Options Upgrade...

Host Information is the:

Host ID,

Serial Number

For Example,

PCSERNO,FS67755648,

MY12345678

- uses Hardware Options Upgrade Entitlement Certificate


Hardware Service Wizard

Hardware Service Wizard... is used when repairing a defective module in your system. This option is for service use only. If you have a problem with your module and suspect a hardware failure, please refer to a Keysight service center. For technical and sales support, visit www.keysight.com/find/assist.

Unless you are an authorized Keysight Service Center, do not attempt to update or change the module serial number. Doing so will void the warranty and may cause the module to not work properly.


PPMU

Delete this text and replace it with your own content.


Restarting the Wizard

If you stopped the Hardware Service Wizard after submitting the information for the license, you can use the following procedure to finish the process and update the module serial number.

The license is specific to a particular computer -- you must use the same computer to obtain a license and to update the serial number. If necessary, you can stop the wizard after requesting a license and restart the wizard later to finish the process.

Procedure

  1. Click Utilities > Hardware Service Wizard... to start the Hardware Service Wizard.
  2. Introduction dialog box -- ignore this dialog box and click Next.
  3. Select Product dialog box -- select the M9195A with the replacement core.
  4. Enter Serial Number dialog box -- enter and re-enter the module serial number.
  5. Obtain License File dialog box -- ignore this dialog box and click Next.
  6. After receiving your email with the license file attachment, save the license file to the hard drive on the computer you used for the steps above.
  7. Install License dialog box -- follow the instructions in this dialog box to use Keysight License Manager (KLM) to install the license and verify license installation. (If you need information on using the KLM, click Help > Keysight License Manager Help in the KLM application.) If the license did NOT install correctly, see the Troubleshooting section below.
  8. Update Serial Number dialog box -- make sure the displayed information is correct and update the module serial number. Click Finish to close the wizard.

Troubleshooting

If the wizard fails to update the serial number, verify:

  • The computer being used to write the serial number is the same computer that was used to collect the data and obtain the license.
  • The replacement module is the same module that was connected when the Host information data was collected.

For additional assistance, visit www.keysight.com/find/assist


Updating the Serial Number

The M9195A Hardware Service Wizard (see the M9195A SFP Utilities menu) guides you through the process of updating the serial number on the M9195A DSR. You will need to follow this procedure only when you replace the M9195A core with an Keysight replacement assembly and you need to preserve the original serial number. Reprogramming the serial number requires that you have the Serial Number Update Entitlement Certificate that came with the replacement core assembly. Refer to What do I need to update the serial number? below for more details.

Do I have to update the serial number?

The module serial number is stored electronically on the module. Keysight DOES NOT require the serial number to be updated for your replacement hardware to work. The capability to update the serial number is provided in case you need to maintain the same serial number to meet regulatory, governmental, track Keysight warranty on the unit, or other requirements.

What do I need to update the serial number?

To use this wizard, you will need the following:

  • The original module serial number, which is located on the module.
  • The Serial Number Entitlement Certificate that was included with your replacement module assembly.
  • Internet access on the computer that is connected to the chassis with the M9195A installed.

About the Hardware Service Wizard...

The Hardware Service Wizard is a series of dialog boxes containing instructions for each step in the process. The wizard performs these two main functions:

  • Obtaining a License: The first four wizard dialog boxes help you collect the information you will need to obtain a license file (there is no charge for the license). After completing these four dialog boxes, the license file will be emailed to you.

  • Updating the Serial Number: The last two dialog boxes help you to install the license and update the serial number to the replacement assembly.

The license is specific to a particular computer -- you must use the same computer to obtain a license and to update the serial number. If necessary, you can stop the wizard after requesting a license and restart the wizard later to finish the process.

Process overview

You must install the replacement assembly in the chassis before running the Hardware Service Wizard. You must run the Wizard on the PC connected to the PXIe chassis with the M9195A installed.

Refer to the M9195A Service Guide for safety information and instructions on how to remove and install the module.

  1. Click Utilities > Hardware Service Wizard... to start the Hardware Service Wizard. Follow the detailed instructions in each successive dialog box.
  2. Introduction dialog box -- describes what you will need to update the serial number.
  3. Select Product dialog box -- select the M9195A with the replacement core.
  4. Enter Serial Number dialog box -- enter and re-enter the module serial number.
  5. Obtain License File dialog box -- follow the instructions for the Keysight Licensing Website, and you will be sent an email with the license file attached. (You can have the email and license sent to any computer, but you will need to save the license to the computer connected to the chassis with the M9195A to finish the process).

If necessary, you can click Close to stop the wizard at this point, and restart the wizard later to finish the process. See Restarting the Wizard for details.
  6. After receiving your email with the license file attachment, save the license file to the hard drive on the computer you used for the steps above.
  7. Install License dialog box -- follow the instructions in this dialog box to use Keysight License Manager (KLM) to install the license and verify license installation. (If you need information on using the KLM, click Help > Keysight License Manager Help in the KLM application.) If the license did NOT install correctly, see the Troubleshooting section below.
  8. Update Serial Number dialog box -- make sure the displayed information is correct and update the module serial number. Click Finish to close the wizard.

Troubleshooting

If the wizard fails to update the serial number, verify:

  • The computer being used to write the serial number is the same computer that was used to collect the data and obtain the license.

  • The replacement module is the same module that was connected when the Host information data was collected.

For additional assistance, visit www.keysight.com/find/assist


Starting the Soft Front Panel Interface

Starting the Soft Front Panel Software Interface

There are two ways to start the Soft Front Panel (SFP) software:

From the Windows Start button:

  1. Select Programs > Keysight > ??? then select M9195A SFP.

Or, from the Keysight Connection Expert software:

  1. Select an M9195A module from the Properties Pane .
  2. The right-hand pane shows the instrument properties. Select the Installed Drivers tab then click the Start SFP button. This starts the Soft Front Panel for that module.

??? graphic??

When you first start the M9195A SFP, the software asks you to select an instrument:

You have three choices:

  • Instruments and Modules This refers to ???
  • Modules Allows you to select an individual module (such as the M9195A)
  • Saved Instruments Allows you to select instruments (???how do customers save instruments????)

You can also specify Simulation Mode. In the Simulation mode, you can operate the interface without actually changing the state of the module.

Note that from within the SFP, you can connect to a different module at any time; bring up the Connect to Instrument dialog box by selecting the File menu, Connect....

See also

  • Theory of Operation
  • SFP Tour
  • Related Documentation
  • Simulation Mode


Using the Soft Front Panel Interface

Monitor Mode

If you have another application, either your own application program or another instance of the Soft Front Panel (SFP) interface, that has initialized the switch module, then the SFP enters it’s “monitor” mode. In this mode, you cannot change relay state and the SFP interface menu buttons are greyed-out. A highlighted message appears at the top of the SFP screen indicating that another application is controlling the module.Specifically, what this means is that the other application has initialized the device driver for that module and has not closed it.

If you click on a relay while the SFP is in it's Monitor Mode, a yellow text frame appears indicating that you cannot control the module from the SFP interface because another application is controlling it. See the following graphic.

???Graphic???

However, as the other application controls the channels, the SFP interface monitors and displays the state of the individual relays.

In order to regain control of the module by the SFP interface, you must close the other application.

See also

  • Theory of Operation
  • SFP Tour
  • Related Documentation
  • Simulation Mode


STIL DC Levels

IEEE 1450.2 (STIL Dot2) defines the DC Levels block. This is supported as follows:

Limitations

  • Power supply sourcing is not specified
  • A single set of DC Levels may be specified for each Signal. Since Spec, Category, and Selector blocks are not supported, DC Levels can not be defined for multiple categories.
  • Per the previous bullet, DC Sets may not be specified. (We could reasonably accept a DC Sets with a single DC Levels specified, the intent is not to do so).
  • DC Levels can not be changed on-the-fly. Therefore DC Sets is not supported.
  • DC Sequence is not supported, consistent with the lack of support for power supply control.
  • 1450.2 defines extensions to the waveform characters to permit designating additional force and compare voltages for a single signal. These are not supported.
  • DC Levels assigned to a Group will be programmed faster than identical levels assigned to each signal within the group.

General Syntactic Extensions per 1450.2

Generally, if a default DC Levels block is defined (one with no name), it is applied to all patterns. In addition, a DC Levels block may be provided by referencing it in either the PatternExec or Pattern itself. However, DC Levels can not be changed on-the-fly.

The following syntaxes are extended consistent with 1450.2:

  • STIL block may specify “DCLevels 2002;”
  • The PatternExec may specify a DC Levels block.
  • The Pattern may include a reference to a DC Level s block

DC Levels

InheritDCLevels | This statement is used to inherit levels from another DC Levels block. Since we primarily support a single specification, this is Not supported.
SignalGroups | This specifies the group definition that these DC Levels apply to.

DC Level parameters
VIH | This defines the drive high voltage to be applied to Signals in the specified sigref_expr. In most situations, a single dc_expr is present. Multiple dc_expr statements are present to support changing values during one Vector, as explained in Clause 13.
VIL | This defines the drive low voltage to be applied to Signals in the specified sigref_expr. In most situations, a single dc_expr is present. Multiple dc_expr statements are present to support changing values during one Vector, as explained in Clause 13.
VICM | This defines the input common mode voltage for differential Signals in the specified sigref_expr. VICM = (VIHD + VILD)/2.
VID | This defines the differential input voltage for Signals in the specified sigref_expr. VID = |VIHD.VILD|.
VIHD | This defines the drive high voltage to be applied to differential Signals in the specified sigref_expr.
VILD | This defines the drive low voltage to be applied to differential Signals in the specified sigref_expr Input voltages for differential Signals may be specified either by defining VICM and VID, or by defining VIHD and VILD.
ForceHi | This specifies that the VIH level shall be applied as a static drive high voltage during pattern execution, overriding the pattern data.
ForceLo | This specifies that the VIL level shall be applied as a static drive low voltage during pattern execution, overriding the pattern data. It is an error to define both ForceHi and ForceLo on the same signal. If ForceHi is present for a signal, then a VIH statement shall be present for that signal; if ForceLo is present for a signal, then a VIL statement shall be present.
InitHi | This specifies that the VIH level shall be applied as an initial drive high voltage before pattern execution begins.
InitLo | This specifies that the VIL level shall be applied as an initial drive low voltage before pattern execution begins. It is an error to define both InitHi and InitLo on the same signal. If InitHi is present for a signal, then a VIH statement shall be present for that signal; if InitLo is present for a signal, then a VIL statement shall be present. The presence of an InitHi or InitLo statement does not replace STIL requirements for the presence of data on that signal.
VIHSlew | This defines input slew rate for drive high voltages, specified in units of volts per time (e.g., .1V/1ns.).
VILSlew | This defines input slew rate for drive low voltages, specified in units of volts per time (e.g., .1V/1ns.).
VOH | This defines the compare high voltage to be applied to Signals in the specified sigref_expr. In most situations, a single dc_expr is present. Multiple dc_expr statements are present to support changing values during one Vector, as explained in Clause 13.
VOL | This defines the compare low voltage to be applied to Signals in the specified sigref_expr. In most situations, a single dc_expr is present. Multiple dc_expr statements are present to support changing values during one Vector, as explained in Clause 13.
VOCM | This defines the output common mode voltage for differential Signals in the specified sigref_expr. VOCM = (VOHD + VOLD)/2
VOD | This defines the differential output voltage for Signals in the specified sigref_expr. VOD = |VOHD . VOLD|
VOHD | This defines the compare high voltage for differential Signals in the specified sigref_expr.
VOLD | This defines the compare low voltage for differential Signals in the specified sigref_expr Output voltages for differential Signals may be specified either by defining VOCM and VOD, or by defining VOHD and VOLD. The differential comparator functions is a two-stage process. The first stage removes common mode interference from the DUT signals, resulting in |Va . Vaz| (see Figure 3). The second stage compares the result to the output thresholds.
IOH | This defines the output high load current to be applied to Signals in the specified sigref_expr. IOH is typically a negative current value.
IOL | This defines the output low load current to be applied to Signals in the specified sigref_expr. IOL is typically a positive current value.
LoadVRef | This defines the load threshold or commutating voltage. When the Termination statement in 14.1 and 17.1 of IEEE Std 1450-1999 is used, it defines how LoadVRef should be set in order for the Vectors in the associated PatternExec to execute successfully. A Termination attribute of TerminateHigh requires that LoadVRef be set to VOH for float-state measures. A Termination attribute of TerminateLow requires that LoadVRef be set to VOL for float-state measures. A Termination attribute of TerminateOff or TerminateUnknown requires that LoadVRef be set to the float-state voltage level.
ClampHi | This defines the voltage level set for the high clamp circuit.
ClampLo | This defines the voltage level set for the low-clamp circuit.
ResistiveTermination | This defines a specific resistance value for terminating the tester driver (e.g., 50 Ohm).
TermVRef | This defines the termination voltage for ResistiveTermination. ResistiveTermination and TermVRef are typically used to provide impedance matching to the DUT. This capability is typically implemented on ATE by using the internal impedance of the tester driver. This is distinct from usage of the Termination statement in 14.1 and 17.1 of IEEE Std 1450-1999 (see LoadVRef).
VForce | This defines the forcing voltage for a DPS (for Signals of type Supply), or for Signals of type In, Out, Inout when using a PMU in place of the tester driver/receiver.
IClamp | This defines the maximum current allowed for a DPS (for Signals of type Supply) or for Signals of type In, Out, Inout when using a PMU in place of the tester driver/receiver.
IForce | This defines the forcing current for a DPS (for Signals of type Supply) or for Signals of type In, Out, Inout when using a PMU in place of the tester driver/receiver.
Vclamp | This defines the maximum voltage allowed for a DPS (for Signals of type Supply) or for Signals of type In, Out, Inout when using a PMU in place of the tester driver/receiver. Typically, VForce and IClamp are used together to force voltage, and IForce and VClamp are used together to force current.

See Also:

????


Example STIL File

This topic presents a short but complete example of a STIL file. This pattern is for a ??? and illustrates some of the capability of the STIL language. In particular, it shows how a test pattern is shown that contains complex timing relationships and multiple categories for the variables used in a timing relationship.

This is required. Do not use STIL 0.0. STIL 1.0;

Signals {

DIR In;

OE- In;

A0 InOut; A1 InOut; A2 InOut; A3 InOut;

A4 InOut; A5 InOut; A6 InOut; A7 InOut;

BO InOut; B 1 InOut; B2 InOut; B3 InOut;

B4 InOut; B5 InOut; B6 InOut; B7 InOut;

}

SignalGroups 'Ls245'{

ABUS 'A7 + A6 + A5 + A4 + A3 + A2 + A1 + AO';

BBUS 'B7 + B6 + B5 + B4 + B3 +B2 + B1 +BO';

BUSES 'ABUS + BBUS';

ALL 'DIR + OE- + BUSES';

}

SignalGroups more {

ABUS-I 'ABUS' { Base Hex 01; )

BBUS-I 'BBUS' { Base Hex 01; )

}

Spec tmode_spec {

Category tmode {

Spec tmode-spec {

Category tmode {

tplh { Typ '8.00ns'; Max '12.0011s'; }

tphl { Typ '8.00ns'; Max '12.0011s'; }

tpzl { Typ '27.00ns'; Max '40.0011s';}

tpzh { Typ '25.00ns'; Max '40.00ns'; }

tplz { Typ '15.00ns'; Max '25.00ns'; }

tphz { Typ '15.00ns'; Max '25.00ns'; }

strobe-width ' 20ns' ;

}

}

Selector tmode-typ {

tplh Typ;

tphl Typ;

tpzl TYP;

tpzh TYP;

tplz Typ;

tphz TYP;

}

Timing to-specs {

}

WaveformTable pulsed-oe {

Period '500ns';

Waveforms {

DIR{ 01 { 'Ons' DIU; } }

OE-{ 01 { 'Ons' U; OE-MARK: '20011s' DIU;

BUSES{ 01{ '1011s' DIU; }

OECLOSE: 'OE-MARK+lOOns' U; }}

L { 'Om' Z;'Ons' X; 'OE-MARK+tpzl' 1;

' @+strobe-width' X;}

H { 'Ons' Z;'Ons' X; 'OE-MARK+tpzh' h;

' @ +strobe-width' X; )

D { 'Ons' Z;'Ons' X; 'OE-CLOSE+tplz' t;

' @+strobe-width' X;}

U { 'Ons' Z;'Ons' X; 'BE-CLOSE+tphz' t;

' @ +strobe-width' X; )

X { 'Ons' Z;'Ons' X; }}

} // end Waveforms

} // end WaveformTable pulsed-oe

WaveformTable const-oe {

Period '500ns';

Waveforms {

DIR{ 01{ 'Ons' DIU; ) }

OE-{ 01 { 'Ons' D; '48011s' U;} }

BUSES{ 01{ IN-MARK: '5011sD' /U; )

L { 'Ons' Z;'Ons' X; 'IN-MARK+tphl' 1;

' @ +strobe-width' X; )

H { 'Ons' Z;'Ons' X; 'IN-MARK+tplh' h;

' @ +strobe-width' X; )

X { 'Ons' Z;'Ons' X; }}

} // end Waveforms

}// end WaveformTable const-oe

}// end Timing to-specs

PatternBurst spec-check-burst {

spec-check;

} //end PatternBurst spec-check-burst

PatternExec {

SignalGroups more;

Timing to-specs;

Selector tmode-typ;

Category mode;

spec-check-burst;

}
//end PatternExec

Pattern spec-check {

W pulsed-oe;

// the first vector must specify states on all signals.

V { ALL=OODDDDDDDDXXXXXXXX; }

// first set of tests check delays from OE- signal

// check BBUS tpzl spec

V { ABUS-I=OO; BBUS=LLLLLLLL; }

//check BBUS tpzh spec

V { ABUS-I=FF; BBUSHHHHHHHH; }

// check BBUS tplz spec

V { ABUS-I=OO; BBUSxDDDDDDDD; }

// check BBUS tphz spec

V { ABUS-I=FF; BBUS=UUUUUUUU; }

V { DIR=l; ABUS=XXXXXXXX;

BBUS=DDDDDDDD; }

// check ABUS tpzl spec

V { BBUS-I=OO; ABUS=LLLLLLLL; }

// check ABUS tpzh spec

V { BBUSI=FF; ABUSHHHHHHHH; }

// check ABUS tplz spec

V { BBUS-I=OO; ABUS=DDDDDDDD; }

// check ABUS tphz spec

V { BBUS-I=FF; ABUS=UUUUUUUU; }

W const-oe;

// second set of tests check data propagation delays

// check ABUS tphl spec

V { BBUS-I=OO; ABUS=LLLLLLLL; }

/I check ABUS tplh spec

V { BBUS-I=FF; ABUS=HHHHHHHH; }

V { DIR=O; BBUS=XXXXXXXX;

ABUS=DDDDDDDD; }

V { ABUS-I=OO; BBUS=LLLLLLLL; }

// check BBUS tplh spec

V { ABUS-I=FF; BBUS=HHHHHHHH; }

// check BBUS tphl spec

V { ABUS-I=OO; BBUS=LLLLLLLL; }

} //end Pattern spec-check


General STIL Statements

The following general statements are supported:

STIL | The STIL version number for M9195A must be 1.0. If another version is encountered, M9195A will not process the file.
Ann | Annotation statement is supported. Note that the text max span multiple lines.
Include | Include statement is supported. The IfNeed clause is not supported, any included files are loaded. File path resolution issupplied by the programming environment.
User Keywords | UserKeywords may be used to specify the M9195A defined keywords. These are: _Site See M9195A Specific Keywords _Watch <trigger> _OnTrigger

User Functions are not supported in the M9195A.

See Also:

????


Loading and Storing STIL files in IVI

This topic does not provide detailed information on using STIL with the IVI API. It only provides an brief introduction to loading STIL files, checking for errors, and storing STIL files. It briefly lists the methods/properties that load STIL files.

Load STIL

This function loads a STIL file and creates objects based on the content of the file. The objects created are dependent on the actual file. They may include:

  • Patterns
  • PatternExecs
  • Timings
  • WaveformTables
  • Etc.

When an element is loaded and one by that name already exists in the same namespace, the duplicate element will replace the original one.

COM Method Prototype

HRESULT LoadStil([in] String FileName, [in] String Namespace);

C Prototype

ViStatus AgM9136A_LoadStil(ViSession Vi,

ViString FileName);

Errors
  • File not found
  • Duplicate name

STIL Error Count

Returns the error count. If non-zero, this is decremented for each call to GetNextParseError(). It is reset when a new file is parsed to represent only the errors from that file.

COM Method Prototype

Int32 StilErrorCount RO Default = 0

C Prototype
Errors

Get Next STIL Error

Returns the next STIL parsing error. If there are no errors, returns “No Error”. It is reset when a new file is parsed to represent only the errors from that file.

COM Method Prototype

void GetNextStilError([out] String ErrorDescription);

C Prototype
Errors

Store STIL

Stores the specified PatternExec and all components required to execute to a STIL file. This is not a complete memory dump, but just the components associated with playing the specified PatternExec.

Comments and annotation in the original file are not preserved.

COM Method Prototype

HRESULT StoreStil([in] String PatternExec, [in] String FileName);

C Prototype
Errors

See Also:

?????


M9195A Specific Keywords

This topic describes two important concepts and keywords unique to Keysight's M9195A: Site and Marker

Site

A _Site block specifies the mapping of the signals to physical pins on your test device. Thus, the _Site syntax is:

_Site <name> {

_Channels {

((SIGNAL)(DECIMAL_INTEGER)(DECIMAL_INTEGER)?;)*}

}

}

The first parameter after the Signal is the channel number assigned to it. The second is an optional ordinal to specify the order in which data from this signal is packed into results.

Trigger Specification

The _Site also defines the physical signal used to Trigger the Watch/OnTrigger syntax. The following is used:

_Triggers {

(Trigger<n> EVENT;)*

}

where "n" is a digit from 1 to 8. For example:

_Triggers {

Trigger1 “PXI_TRIG3”;

}

In this example, the Event can be any Event known to the M9195A. For instance:

  • PXITRIG1-7
  • SequencerWaiting1-48
  • External
  • <etc>

Clock Specification

The M9195A is capable of producing a continuous clock that is available independent of the pattern execution. The clock will track the period of the currently active Waveform Table.

The pin/channel used to product the clock is not included in the pattern definition and no Signal is defined for it. However, the pin/channel must be defined as part of the Site and that pin/channel is one of the resources consumed when the pattern is executing.

The syntax to identify the clock pin is:

_Site <name> {

_Clock (DECIMAL_INTEGER);

}

Markers

The M9195A is capable of producing an output event when a specified vector is executed. Three signals, simply designated as “A”, “B”, and “C”, are provided by each sequencer.

To identify a vector where a marker is generated, the cross reference Pattern Block keyword is used with a string label as follows:

X Marker<ident>;

Where the <identifier> is “A”, “B”, or “C”.

For example:

X MarkerA;


STIL Block Names

M9195A supports the following blocks that are permitted to have names (domain names):

  • SignalGroups
  • PatternExec
  • PatternBurst
  • Timing
  • WaveformTable
  • Pattern
  • MacroDefs
  • DCLevels
  • _Site

Signals do not have a name, and ScanStructures are ignored by M9195A.
  • Per STIL, any block can be defined once (and only once) without a name. This null-named block becomes the default block.
  • Once the STIL file is loaded, all blocks are accessible from the IVI API by name. The default block (that is the unnamed block), can be referenced from IVI using the special name “!Default”. This token isa legal IVI repeated capability selector. ‘!’ is a special character in STIL and unlikely (impossible?) to be placed by a customer in a name.
  • Note that the Signals are always in the !Default group when accessed from IVI.

Accessing block names from IVI

As noted above, most named blocks defined in STIL are accessible from IVI.

In order to support loading multiple STIL files, the block names within a file may have an additional string concatenated with the name when the file is loaded. This is done by the customer specifying a STIL namespace parameter to the IV IAPI to load the file. Doing this has the following behaviours:

  1. The namespace string is attached to the front of each name, and a ‘!’ separator is used. Note that any default blocks already have the ! separator and it is not duplicated.

  2. References within that STIL file also have the namespace prepended.
Example

For the following source code:

Timing {

WaveformTable mywft {

Period ‘8ns’;

Waveforms {

Data { 01 { ‘0ns’ D/U; }

X { ‘2ns’ ForceOff; }

}

}

}

}

…

BranchTarget: Vector { Data = 0; }

Vector { Data = 1; }

Note that in the above example, the timing block would be referenced from IVI without a specified namespace with the repeated capability name “!Default”.

When loaded with the namesspace Foo appears as if it had been defined as follows:

Timing Foo!Default {

WaveformTable Foo!mywft {

Period ‘8ns’;

Waveforms {

Foo!Data { 01 { ‘0ns’ ForceDown/ForceUp; }

X { ‘2ns’ ForceOff; }

}

}

}

}

…

Foo!BranchTarget: Vector { Foo!Data = 0; }

Vector { Foo!Data = 1; }

See Also:

????


STIL Expressions

There are two expressions used frequently in STIL:

sigref_expr | This is used for a group of signals. It is used to define a group, but is also permitted in most circumstances where a group or signal is permitted. The syntax provides a convenient way to reference a series of signals
timing expression | This is used to specify a time.

Signal Reference Expressions

  • First level of support is ‘+’. Operands may be groups or signals.

  • The ‘-‘ is not implemented.

  • Parenthesis are not implemented.

Timing Expressions

Timing expressions are limitted as follows:

The following are supported:

  • Units parsing will be supported. The engineering prefix will be respected, the unit on timing expressions will be required to be “s” (seconds).

  • Event Labels – supported

  • Arithmetic: “+”, “-“, “*”, “/”

  • Arithmetic: “(“, “)”

  • @

  • @n

Single quotes are not required around timing measures such as: 2ns.

The following expressions are not supported:

  • Ternary operator (?:)

  • Boolean operations

  • Min and max

See Also:

????


STIL Pattern Blocks

Pattern Blocks define the actual pattern(s) produced.

16.1.1 Supported Pattern Block keywords:

WaveformTable | is exactly as described with Timing. Up to 32 different Waveform Tables may be provided, they can be selected independently on a per-vector basis.
Vector | Supports the pattern data described above. ????
Condition | M9195A anticipate accepting a condition statement to define initial conditions. However, we don’t have the capability to manage variables on-the-fly in our sequencer. So we only accept initial values for each signal in the condition. M1196A may also have the ability to have the pattern compiler understand variables defined in conditions that can be evaluated at compile time, but not evaluated at run-time.
Shift (Scan data) | Our plan is to support scan by expanding macros containing shift operations during the compile. Shift is not permitted outside of a macro.
Loop | Loop a fixed number of times, up to (?????)
MatchLoop | MatchLoop is supported.
BreakPoint | As noted in MatchLoop, we could pause, however the hardware has no ability to update, so does not require BreakPoint. See discussion of handling multiple waveformt ables for other potential capabilities. ?????
Stop | Supported
X | This permits the customer to identify this vector. The X Statement if followed by a user defined name, or an integer. See section 15.1 for usage. ?????

Not Supported:

IDDQ TestPoint | This specified a point in the pattern where a current measurement can be made to test for internal shorts. Not supported.
Call | Only one level of nesting is supported. The M9195A does not expand a Shift in a call. Call requires that all signals are defined on the first vector of a call.

X (Cross Reference) Instruction

If the X statement has an integer parameter, that integer will be incorporated into the pattern failure report with the number of execution cycles since the X statement was executed.

If the X statement has a user defined name, it indicates a Marker to activate on this instruction. The user defined name MUST be one of the following: “MarkerA”, “MarkerB”, or “MarkerC”.

_Watch and _OnTrigger

The M9195A can begin executing at a new location based on a trigger input.

The configuration of the trigger source can be done in the _Site specification, or can be done via the IVI API.

The syntax is as showng in the following example:

Vector { all = 0111XUDZZ ; }

Vector { all = 0111XUDZZ ; }

_Watch Trigger {

Vector { all = 0111XUDZZ ; }

Vector { all = 0111XUDZZ ; }

Vector { all = 0111XUDZZ ; }

Vector { all = 0111XUDZZ ; }

}

_OnTrigger {

Vector { all = 0111XUDZZ ; }

Vector { all = 0111XUDZZ ; }

Vector { all = 0111XUDZZ ; }

}

Vector { all = 0111XUDZZ ; }

If the trigger defined in the Site specification occurs anytime during the block within the _Watch, execution proceeds to the block designated with the _OnTrigger. If the trigger does not occur, the _OnTrigger block is never executed.

It is permissible (????) to include a counted loop within the _Watch block.


STIL Pattern Data

Cyclized Data

Cyclized data is specified as:

Signal Reference Expression = Vector Data

The Signal Reference Expression has the same syntax limitations as described for SignalGroups.

Vector data may be specified in:

  • Waveform Characters
  • Hexadecimal
  • Decimal

The \rN syntax specifies a repeated vector data (e.g., “\r2 ab” is the same as “abab”, which depending on the context may be a hex number or a waveform character). \r is supported.

Input data may be dynamically changed from waveform/hex/dec using the following codes. The following are not supported (see Table 1, Lexical Capabilities ):

\w | Set to waveform characters
\h | Set to hex, use the conversion from hex to waveform characters specified in the signal/groups
\hCHARS | Set to hex, use the specified characters to convert from hex to waveform characters.
\d | Set to decimal, uses the conversion from hex to waveform characters specified in the signal/groups
\dCHARS | Set to decimal, use the specified characters to convert from hex to waveform characters.
\IN | Necessary to supported multi-bit specifications. These are not supported

Multiple-bit cyclized data is not supported.

Non-cyclized data

STIL permits specifying non-cyclized data. The Keysight M9195A does not support this.

Scan Data

Scan data is supported, but is converted into pattern data in a Macro expansion (1 vector for each scan step). This expansion is done when the pattern is compiled, and therefore, scan data can only be used when invoking a macro.

Pattern Labels

Pattern labels are supported. They are used with Goto statements, and to flag special statements to the M9195A.

See Also:

????


STIL Procedures and Macros

Procedures

Procedures are not supported, only Macros.

Macros

Macros are supported. They are expanded when a STIL input is compiled.

Constant Substitution

Macros permit constant substitution using the ‘%’ syntax. A % in the Macro definition is replaced by a waveform character specified in the Macro invocation. For instance, the invocation:

myMacro { mySignal = “W” }

Then, in the body of the macro, the sequence:

Vector { All = {AAB%CCD ; }}

Is expanded to:

Vector { All = {AABWCCD ; }}

% substitution is supported.

Scan substituion with # and Shift

Macros permit a string of values, typically the values used to setup a scan chain, to be specified using a macro. The string of values is specified on the macro invocation, and the character ‘#’ is used to indicate where the values should go in the resulting expansion.

For instance, for the invocation:

myMacro { mySignal = “WXYZ” ; }

Then in the body of the macro, the sequence:

Vector { All = {AAB#CCD ; }}

Shift {

Vector { mySignal = {#; }}

}

Would be the equivalent of:

Vector { All = AABWCCD; }}

Vector { All = AABXCCD; }}

Vector { All = AABYCCD; }}

Vector { All = AABZCCD; }}

As part of the expansion, shift statements are expanded into the pattern. Therefore, the expanded macro consumes the same amount of pattern memory it would if the SCAN were manually expanded by the customer.

The Shift, and # syntaxes are accepted.

See Also:

????


STIL Signal Blocks

Signals must be defined as In/Out/InOut.

Supply is not supported. Supply is primarily used to declare the signal that is the power or ground on the part.

Pseudo is not supported. It is primarily used to declare a pin that can be used to trigger a measurement.

Supported Signal Blocks

Base

STIL permits a base to be specified for a series of bits. It may be Hex or Dec. In either case, the specification is followed by a list of waveform characters that specify the mapping between bits in the number to waveform characters. For instance:

Base Hex, 01HL

This indicated that two bits are used to represent this signal, and if the two bits are 00, an L is specified, for 01, and H, etc.
Alignment

Specifies if hex data is presented LSB first or MSB first.
ScanIn/ScanOut

Is supported. Scan is handled on arbitrary lines since it is expanded in software. Since any signal can receive Scan data, these attributes are not necessary for M9195A, but strictly speaking, are required by STIL. Therefore M9195A will only permit Shift on pins that are defined as ScanIn or ScanOut.

Signal Blocks Not supported

Termination | STIL permits signals to specify a termination that is a high impedance to a logic 1, logic 0, float, or an unknown. This is not supported by M9195A, customers should use DC Levels and specify initial conditions.
DataBitCount | Permits two data bits in a single clock cycle. May be useful for specifying driver and compare independently or perhaps actually driving multiple bits in a single time period.
DefaultState | STIL permits setting a default state to D, U, or Z. This is a lot like a M9195A static signal. Generally this will define how to treat a signal if it is not used on a given pattern.

See Also:

????


STIL Timing Block

Teh M9195A supports up to 32 waveform tables. These must all be defined in a single Timing block. It is possible to name the Timing block in which case the name must be specified identically in the PatternExec.

The SignalGroups specification is permitted, but must align with any SignalGroups defined in the PatternBurst specified with this PatternExec. If the SignalGroups is not defined, the default is taken.

Multiple WaveformTable blocks may be included. The following are the blocks within the WaveformTable:

Period | Specifies the basic sample rate.
Inherit WaveformTable | This simplifies construction a waveform table that only has minor difference from some other one. Not supported (????)
SubWaveforms | This may be used to specify waveform elements common to multiple waveforms. Since M9195A supports a single Waveform table, this is Not supported.
Waveforms SignalReferenceExpression InheritWaveform | Waveforms are supported subject to the following simplifications: This is the specification of the Signals which these waveforms apply to. Subject to the same limitations as the SignalGroups definition. Permits building referencing other Waveform Tables to build up the definition of this waveform. Syntaxes involving InheritWaveform are Not Supported

Waveform Character Specification

The Waveform Table includes the specification of the waveforms for various waveform characters. The following qualitatively describes the supported syntax:

  • Waveform Character list may be specified and the “/” syntax used to separate event definitions.
  • Event characters may be: U (force up), D (force down), Z (force high-impedance), P (force prior), H (compare high), L (compare low), X or x (don’t compare), T (tri-state compare)
  • Event Labels may be defined in-line and used in time expressions.
  • Note that a compare event may be specified to be simultaneous with a force event.
  • @ and @n are used to incorporate the time expression from other times in this waveform in the calculation of a given time.

  • M1196A supports 15 distinct waveform characters for each signal. Note that a sixteenth waveform character is used to implement a waveform-character-scoped prior operation, the customer specifies this by leaving the waveform character absent.

  • M1196A support up to 2 force events per waveform

  • M1196A support 1 compare event per waveform.

The following are NOT supported:

  • References to subwaveforms are not supported
  • \rN causes a sub waveform to repeated. Since sub waveforms are not supported this is Not supported (only used with sub waveforms).

See Also:

???


Using STIL with IVI

This section provides general explanatory information for using STIL files in your IVI program. For detailed information, refer to the IVI API help file. ??????

STIL Components and Active Components

The M9195A IVI API makes extensive use of IVI dynamic repeated capabilities. This providesthe ability for you to create, delete, and work with a collection of items. The M9195A has the following repeated capabilities

  • STIL Components

    The STIL components are primarily used to configure dynamic patterns. Each corresponds to a block in the STIL language and has an API that provides basic access to that block. The following are included:

    • Patterns
    • WaveformTables
    • DC Levels
    • Sites
    • PatternBursts
    • PatternExecs
    • SignalGroups
    • Signals
    • MacroDefs

  • Active Components
    • PatternSite
    • RffeMasterSite
    • CaptureSite
    • PpmuSite
    • StaticSite

Site use model and the Site Repeated Capabilities

The general use model for the API is that the customer defines a site using the operations in the site interface. The name of the site is the name the customer assigns to the repeated capability.

The customer then does useful things with the physical channels by activating the site. It can be activated for use as any of the following:

  • Dynamic Pattern Site
  • Static Site
  • PPMU Site
  • RFFE Site
  • Capture Site

Separate interfaces are included in the API for each of these active sites. Each of these interfaces follows the same basic pattern whereby a site is activate, and then the active site.

Usage of the Signal Direction Specification

Generally, the usage of a site respects the direction specified in the signal definition. For instance, if a signal on a channel is defined as an Input attempting to read from that pin with a capture site or a static site will always return zero. Similarly, if a signal on a channel is defined as an Output that bit will not be written by the static site.

An exception to this behavior is the PPMU. The PPMU presumes that the customer needs to do stimulus and response measurement on both input and output channels and the customer is required to exercise appropriate care. In the case of PPMU the definition of the channel direction is ignored.

The STIL Components

As noted above, the STIL components are based on the STIL blocks of the same name. The M9195A supports the following STIL blocks that are permitted to have names (aka domain names):

SignalGroups

PatternExec

PatternBurst

WaveformTable

Pattern

MacroDefs

DCLevels

_Site

The following are only settable with default domain names (no name on the block):

Timing (see section 2.3.2 ?????, The Special Case of the Timing Block Name)

Signal

Spec

Per the STIL specification, any named block can be defined once (and only once) without a name. This null-named block becomes the default block and is used if a block is not specified.

You could reference the _Site block from the PatternExec, the problem with this is that it would then bind the PatternExec to a specific physical site. The design intent is that the pattern be activated on a site, so the two are not tied together. The name on the _Site block is used so that it can be referenced from the API when activating the block.

Once the STIL file is loaded, all blocks are accessible from the IVI API by name. The default block (that is the unnamed block), can be referenced from IVI using the special name “!Default”. This token is a legal IVI repeated capability selector. ‘!’ is a special character in STIL and unlikely (impossible?) to be placed by a customer in a name.

Note that the Signals are always in the !Default group when accessed from IVI.

Accessing STIL block names from IVI

As noted above, most named blocks defined in STIL are accessible from IVI.

In order to support loading multiple STIL files, the block names within a file may have an additional string concatenated with the name when the file is loaded. This is done by the customer specifying a STIL namespace parameter to the IV IAPI to load the file. Doing this has the following behaviors:

  1. The namespace string is attached to the front of each name, and a ‘!’ separator is used. Note that any default blocks already have the ! separator and it is not duplicated.

  2. References within that STIL file also have the namespace prepended.

Example

For the following source code:

Timing {

WaveformTable mywft {

Period ‘8ns’;

Waveforms {

Data { 01 { ‘0ns’ D/U; }

X { ‘2ns’ ForceOff; }

}

}

}

}

…

BranchTarget: Vector { Data = 0; }

Vector { Data = 1; }

Note that in the above example, the timing block would be referenced from IVI without a specified namespace with the repeated capability name “!Default”.

When loaded with the namesspace Foo appears as if it had been defined as follows:

Timing Foo!Default {

WaveformTable Foo!mywft {

Period ‘8ns’;

Waveforms {

Foo!Data { 01 { ‘0ns’ ForceDown/ForceUp; }

X { ‘2ns’ ForceOff; }

}

}

}

}

…

Foo!BranchTarget: Vector { Foo!Data = 0; }

Vector { Foo!Data = 1; }

The Special Case of the Timing Block Name

The STIL Timing block does not follow the general patterns described in the preceding sections. The STIL timing block provides a container for multiple waveform table definitions. The primary use base is to permit an application to defining the same set fo waveform tables in two different timing blocks, while having the waveform tables in one timing block correspond to one set of timing conditions, and the other timing block refer to a different set of timing conditions. Thus two timing blocks, for instance with the names “Fast” and “Slow” would each define the same set of a 32 waveform tables. The application could then switch the timing between fast and slow by executing the pattern with a reference to a different timing block.

The Timing blocks are not handled in IVI analagously to the other STIL blocks. This is becase:

  • Since the waveform tables are individually references by name, each waveform table needs a name, however each needs also to be located in a named Timing block to satisfy the use case above. This nominally would require nested repeated capabilities which are very confusing for the customer.
  • We could potentially handle the nested repeated capabilities by specifying the waveform table name in each waveform API, but this is also complex, and especially troublesome given the complexity of the waveform API itself which specifies waveform characters across signals already.

Therefore, this is how Timing blocks are handled:

  • We will only permit a default timing block in STIL.
  • Note that two different STIL files can be loaded to load two parallel sets of WaveformTables in IVI, but each will have different namespaces.
  • Customer can potentially complete the use case by loading two different STIL files from the IVI API and then referencing both Timing sets using the namespace. Thus, the same pattern could be loaded with two different timing sets. This would require redefining the PatternExec to reach across to the alternate definition. This has no peformance advantage over the previous approach (loading a complete pattern from each of two different locations).

This syntax would look something like this:

x.PatternExecs.get_Item(Foo!MyPatternExec).Timing = “Bar!Slow”

Note how the namespace of the PatternExce differs from the namespace of the referenced timing block.

  • The customer can then have a PatternExec specify Timing blocks from two different namespaces

Other details

Comma Separated lists

We have tried to avoid this since it puts more semantics into the string than we really like. However, there are several queries and the case of settings the patterns within a pattern burst that uses this. Our plan is to leave these unless we get customer (or surrogate-customer) feedback that this is peculiar to them. Alternative seems to be to disassociate C from COM and use a string array from COM.


Using STIL

Introduction

Standard Interface Test Language (STIL) provides common language for representing test patterns and waveforms created from the simulation of a digital IC. STIL is a block structured language for defining the pattern and the additional data necessary to generate digital patterns.

The highest level structure (PatternExec) references all the pieces that go into a pattern. The individual components are wired together to represent timing, amplitude, pattern, branching, etc. The language is flexible enough to represent both simple and complex devices.

It is beyond the scope of this help file to fully describe the STIL language and all the ways it may be used. You should refer to the STIL (IEEE 1450) standards documentation for detailed information.

STIL Reserved Keywords

Although the M9195A parser properly recognizes all STIL base specification keywords, not all keywords are implemented.

See Also:

????????

STIL Signal Definitions

STIL Waveform Characters

STIL Timing Definition

Setting up DC levels

Organization before the main pattern

Specification of a pattern

Loops in a pattern

Control flow in a pattern

Assigning channels (pins) to signals

Markers

Define Signals

Define signal groups

Define timing

Define a pattern

PatternExec

Define the Site for the measurement

Produce a pattern

Using the STIL file


Channel Settings Tab

Delete this text and replace it with your own content. ?????

Highlight an individual channel. In the following example, we've highlighted channel 4:

To select multiple channels to receive the same settings, press CTRL then select the channels.

Click on the Edit Selected Channels... button. This opens the following configuration dialog box:

From this configuration box, you can ?????


TriggersTab


Contacting Keysight Technologies

For more information on Keysight Technologies’ products, applications or services, please contact your local Keysight office. The complete list is available at:

www.keysight.com/find/contactus

Americas |
Canada | (877) 894 4414
Brazil | (11) 4197 3600
Mexico | 01800 5064 800
United States | (800) 829 4444
Asia Pacific |
Australia | 1 800 629 485
China | 800 810 0189
Hong Kong | 800 938 693
India | 1 800 112 929
Japan | 0120 (421) 345
Korea | 080 769 0800
Malaysia | 1 800 888 848
Singapore | 1 800 375 8100
Taiwan | 0800 047 866
Other AP Countries | (65) 375 8100
Europe & Middle East |
Belgium | 32 (0) 2 404 93 40
Denmark | 45 45 80 12 15
Finland | 358 (0) 10 855 2100
France | 0825 010 700* *0.125 €/minute
Germany | 49 (0) 7031 464 6333
Ireland | 1890 924 204
Israel | 972-3-9288-504/544
Italy | 39 02 92 60 8484
Netherlands | 31 (0) 20 547 2111
Spain | 34 (91) 631 3300
Sweden | 0200-88 22 55
United Kingdom | 44 (0) 118 927 6201

For other unlisted countries:

http://www.keysight.com/find/contactus

Revised: March 1, 2013

--------------------------------------------------------------------------------


Installing Keysight License Manager

Where to get Keysight License Manager

Keysight License Manager (ALM) may come preinstalled on your Keysight instrument or with your Keysight product software.

You can install Keysight License Manager from either the:

  • Keysight License Manager software download web page:
    http://www.keysight.com/find/LicenseManager

  • CD/DVD media provided with your Keysight product.

Installation Procedure

Important: You must close other Windows applications, especially all MS Office applications, prior to installing the Keysight License Manager software.

Follow this procedure to install the Keysight License Manager software:

  1. If you downloaded Keysight License Manager from the ALM web page, select RUN from the installation display.

  2. In the Welcome window, click the Next button.

  3. In the License Agreement window, read the license agreement, click the I accept the terms of the license agreement option button, and then click the Next button. (Note that if you do not accept the license agreement, you can only go back to the Welcome window or cancel the installation.

  4. In the Choose Destination Location window, click the Next button to install ALM in the default folder (C:Program Files(x86)\Keysight\Keysight License Manager\). Keysight recommends that you use the default installation directory.

  5. In the Ready to Install the Program display, click the Install button.

  6. In the InstallShield Wizard Complete window, click the Finish button.

You have successfully installed Keysight License Manager. To confirm installation, click the Windows Start button and then select:
All Programs > Keysight > Keysight License Manager


Receiving the Entitlement Certificate

When you purchase a hardware license, you will receive a hardware Entitlement Certificate. Redeem this certificate to receive the license. Keep this certificate in a safe place for future reference.

???? need a graphic of a license certificate ????

Record the order number and the certificate number.

You will also need your module's model number(M9195A) and serial number.


Installing TSSI ??? License

Keysight's M9195A Digital Stimulus/Response module has two software accessories. These software accessories provide a graphical interface you can use to create waveforms and the corresponding STIL file. You can also use them to load an existing STIL file and verify the timing.

Accessory Number | Description
M9192A | Single Module Digital Stimulus Response Software
M9193A | Multi-Module Digital Stimulus Response Software

To Install a Software Waveform License

??? This section needs a lot of work????

  1. Contact our Keysight Technologies representative ??? to purchase an upgrade license. Purchase a license for a ??? for your M9195A DSR module.

  2. Receive a "Hardware License Entitlement Certificate" for the purchased Software Waveform Capability.

    Once you have purchased a Software Waveform Capability (which can be described as a licensed function, personality, or feature), you will receive a "Software Waveform License Entitlement Certificate ???." This entitlement certificate guarantees you access to the licensed capabilities of your Keysight product.

    You may receive this entitlement certificate through email or through physical delivery as a paper entitlement certificate or both.

  3. Access the Keysight Software Manager (ASM) website and use the entitlement certificate you received to add licenses to your profile.
    (Once added to ASM, the website shows how many licenses you are entitled to assign to hosts.)
  1. Log onto the Keysight Software Manager website.
    http://www.keysight.com/find/softwaremanager

    • If you are a First Time User, you must Register with an email address and select a password. This allows you to create a profile which is needed before you can add entitlement certificates or assign a license to a host.
    • If you are a Returning User, enter your email, password, and select Login.
  2. Select the Licenses tab.

    You should see all of your currently assigned licenses and each of their corresponding hosts. If you have never entered information from an entitlement certificate before, the table will show that there are no licenses available.
  3. Select "Get more licenses..."

    You will prompted with, Do you want to add another certificate to your profile?

Check Yes

If you have entitlement certificates that you would like to add to your profile.

Check No

If you do not have additional entitlement certificates, but you are ready to assign licenses.
  1. Check "Yes" and then select Continue.

  2. Enter the Order Number and Certificate Number located on the top of your "Software Waveform License Entitlement Certificate."
    The entitlement certificate number is not case sensitive, but must include the dash.

    This will add your entitlement certificate information to the Keysight Software Manager database. After completing your registration, you can assign these licenses to a host.

  3. Select Continue to Add Licenses.

  4. Select
    Add to My Profile to add these licenses to your profile.

  5. You will then be prompted with, Do you want to add another certificate to your profile?
    You can repeat this process again by checking "Yes" or you can check "No" and follow the process for assigning licenses.
  1. Check "No" and then select Continue.

  2. Assign a License to a Host.

    1. Select a Host from the Select Host drop-down menu.

      (If the host is not in the list, select "Add a new host..." and you will be prompted for the Host Information associated with the host you are trying to add. See details below.)

    2. Select one of the Licenses to be assigned to the selected Host. (Use the check box to designate which Replacement Core license you would like to select.)

    3. Select Assign Licenses. (This assigns one License to the selected Host.)

    4. Select Continue.

    5. When finished assigning Licenses to selected Hosts, check "No" and select Continue.

  3. Select Request Licenses to request the license assignment between the selected License and the selected Host.

    This will trigger an email to be sent to you with a license file of the form: filename.lic.

  4. Check your email system and retrieve the email with the license file attachment.

  5. Save the license file on your file system.
    Note: If your modular embedded controller is not email connected, you may transfer the license file from your PC by storing it on a USB memory stick and then connecting it to your embedded controller.

  6. Start the Keysight License Manager program by selecting Start > All Programs > Keysight > Keysight License Manager > Keysight License Manager
    .
    1. Select File > Install > and using a Windows browser, navigate to the filename.lic.

    2. Start the Soft Front Panel of the Keysight PXI module associated with the license capability and verify that the capability functions.

If the host is not in the list..., select "Add a new host..." and you will be prompted for the Host Information associated with the host you are trying to add.

What Is the Host Information?

The Host Information is a permanent, unique identifier to an Keysight instrument or application that locks licenses to that particular instrument or application. If the Host Information provided at the time the license is generated is wrong, the license will not enable the features purchased.

It is important that you enter the correct Host Information. Your license will not enable the new features if the Host Information does not exactly match your instrument or application.

Host Information for PXI modules is a character string and differs depending on the process being used:

Hardware Options Upgrade..

Host Information is the: Host ID, Serial Number

For Example,

PCSERNO,FS67755648,MY12345678

  • uses Hardware Options Upgrade Entitlement Certificate

Hardware Service Wizard...

Host Information is the: Host ID, Serial Number, Manufacturing Number

For Example,

PCSERNO,FS67755648,MY12345678,1234567890

  • uses Serial Number Update Entitlement Certificate

Software Licenses:

Host Information is the: Host ID

For Example:

PCSERNO,FS67755648

  • uses Software Waveform License Entitlement Certificate

See Also:

  • To View a List of Currently Installed Waveform Licenses
  • Installing Keysight License Manager

.


To View a List of Currently Installed Waveform Licenses

??? taken from M9381A Help. This is preliminary ????

??? Graphics???

Select Utilities / Software Licenses.

These Licensed Products and Features are installed with the Keysight License Manager.

Signal Studio Software Licenses do not update after you install or remove the license using Keysight License Manager. If you install or remove a Signal Studio Software License, you must restart the Soft Front Panel to see that the license has been added or removed.

Keysight License Manager

Host Name - corresponds to the Computer Name of the embedded controller or the laptop/desktop computer being used. (This Computer Name can be displayed by

selecting Start / My Computer / right-click and select Properties.)

Host ID - is a unique string, assigned by Keysight Technologies, that is required each time a new licensed product or feature is added.

Interface Type - Windows.

Licensed Products and Features - is a list of licensed products and features that are currently installed and available for use with the currently installed hardware.


M9195A DSR Module Front Panel Connector Pinout

The following graphic and table show the M9195A front panel and the pinout of the Digital I/O and PPMU connector.

 | Pin # | Pin # |
GND | 59 | 60 | Channel 03
Channel 00 | 57 | 58 | GND
GND | 55 | 56 | Channel 01
Channel 02 | 53 | 54 | GND
GND | 51 | 52 | Channel 07
Channel 06 | 49 | 50 | GND
GND | 47 | 48 | Channel 05
Channel 04 | 45 | 46 | GND
GND | 43 | 44 | HV22
HV23 | 41 | 42 | GND
GND | 39 | 40 | HV21
HV20 | 37 | 38 | GND
GND | 35 | 36 | Channel 11
Channel 10 | 33 | 34 | GND
GND | 31 | 32 | Channel 09
Channel 08 | 29 | 30 | GND
GND | 27 | 28 | Channel 13
Channel 12 | 25 | 26 | GND
GND | 23 | 24 | Channel 15
Channel 14 | 21 | 22 | GND_SENSE
PPMU_Sense14 | 19 | 20 | PPMU_Sense12
PPMU_Sense15 | 17 | 18 | PPMU_Sense13
PPMU_Sense10 | 15 | 16 | PPMU_Sense11
PPMU_Sense08 | 13 | 14 | PPMU_Sense09
Open Drain 0 | 11 | 12 | Open Drain 2
Open Drain 1 | 9 | 10 | Open Drain 3
PPMU_Sense05 | 7 | 8 | PPMU_Sense06
PPMU_Sense04 | 5 | 6 | PPMU_Sense07
PPMU_Sense02 | 3 | 4 | PPMU_Sense01
PPMU_Sense03 | 1 | 2 | PPMU_Sense00
Latch/GND |  |  | Latch/GND

The GPIO1, GPIO2 and Sync Input SMB connectors are reserved for future use; they are not activated on the module. The CLK In SMB connector allows you to input a 10 MHz or 100 MHz reference clock.


M9195A at a Glance

The M9195A PXIe Digital Stimulus/Response (DSR) module is a single slot, 250 MHz Digital Stimulus/Response (DSR) PXI Express (PXIe) module, providing 16 bidirectional I/O channels; Per-pin Parametric Measurement Unit (PPMU); four high voltage lines useful for flash programming; and four open drain auxiliary outputs for relay control.

The Keysight M9195A is ideal for integrated circuit design validation and production test environments, as it provides fundamental automated test environment features such as high speed pattern application rate up to 250 MHz, per-pin programming of voltage levels, real time compare, per-pin parametric measurement unit (PPMU), deep vector memory, and flexible pattern sequencing. The 16 channel, single-slot PXIe module introduces a high performance pattern cyclizer which enables very powerful pattern creation, multiple drive edges per cycle (to enable flexible edge placement), and supports up to four independent multi-sites to enable quick test development. The M9195A also provides automatic response delay cable compensation. The DSR software tools allow the user to modify vector and pattern parameters without having to recompile and download tests.

The GPIO1, GPIO2, and Sync Input SMB connectors are reserved for future use; they are not activated on the M9195A DSR module. The CLK In SMB connector allows you to input a 10 MHz or 100 MHz reference clock.

M9195A features

– 16 bidirectional channels with per-pin programmable logic levels

– Highly flexible, per-bit timing control for fast and accurate waveform development

– Reconfigurable, Per-pin Parametric Measurement Unit (PPMU) for each channel

– Single and multi-site configurations

– Edit patterns on the fly, without recompiling and downloading the test

– Execute patterns in arbitrary order

– Flexible allocation of deep pattern memory, per site, to allocate memory where needed

– 4 high voltage channels for flash programming or fuse test

– 4 open drain auxiliary output pins for fixture relays

Status LED

The M9195A has a Status LED on the front panel. The following table lists the states (colors) of the Status LED.

LED Color | Description
Off | Power not applied. Or, a failure could have possibly occurred in the power supplies or fundamental hardware.
Green - solid | Power OK. Successful PXI enumeration. Driver not initialized.
Blue - solid | Driver initialized, without error. The LED remains solid blue until the driver (or SFP) is closed, at which time it will change to green.
Blue - blinking | The Instrument Identify operation has been activated from the API or the SFP (by setting Instrument Identify to True). The LED remains blinking blue until either Instrument Identify is set to False or driver is closed.
Red - solid | Error condition (with power, temperature, etc.)

Additional information on the M9195A

  • Module Accessories
  • Module Block Diagram
  • Front Panel Connector Pinout

© Keysight Technologies, Inc. 2018

Version 4.0 January 2018


M9195A DSR Module Block Diagram


Operational Modes

Delete this text and replace it with your own content. ??????